GNU bug report logs - #59794
29.0.60; NSport segfaults when a fullscreen frame is being closed

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Kai Ma <justksqsf@HIDDEN>; dated Sat, 3 Dec 2022 08:22:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 59794 <at> debbugs.gnu.org:


Received: (at 59794) by debbugs.gnu.org; 4 Dec 2022 12:23:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 04 07:23:31 2022
Received: from localhost ([127.0.0.1]:57266 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p1o1r-00052D-Du
	for submit <at> debbugs.gnu.org; Sun, 04 Dec 2022 07:23:31 -0500
Received: from sonic313-56.consmr.mail.ne1.yahoo.com ([66.163.185.31]:41676)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1p1o1n-000526-3q
 for 59794 <at> debbugs.gnu.org; Sun, 04 Dec 2022 07:23:29 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1670156601; bh=oQgg8JT/Lkt6bdrXzmdOGM61NMWQTqRceaHZtOLYWE0=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=P9So15rpPwd4zO85CHoSV7lh7cKZQugJyvTD3VUYODZcTqmWFVzHfOCBkIwM0sH+DxXgdYGGzUBngLcIhk8iX7QqrkRIowB05mDiVMI9opREj3aSvoMO876z+t4yR5nW2ADV3zFv97maTsQfr1XnnNkc4c4n04XvH8nBslMMZHtyKeAm7pVi7hnjcXkk3aJsP9MjClXebE+tDE/PJVuHbvBgg8QPSZL16YLezl2EDSsV4Iyq0EJGMv/OzSLQxC2lCyCtD950IA6/UhQizAQJkZW1wtaMjq4q3tcXldSw1YdnGnQuct5GD1taN8HQGI3HLVBO97K+XzHgU0lIOrIrpw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1670156601; bh=h2oxNmmWl/KWrN9eaf7Tw4l7PwdVOtxEXCnwoDzqqi9=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=FcDoNSfMCPDfgzi0JPXTRRJ667gD5uq/ylfzisgUwAj3ESLW6ZKJ9GC4NwJgRAHjpLeBYWfZyDzNcjQ1R8CPf88RxjNsUVhlMrMkb8ND8jEfFwHZyT8mGdRpk6fubk2ccJtI5AV0twEkvKsoHMK+6LrtdHOrvR7XE8uARon0B5VUFfVLXZbT+6kEFhD6Z5f5t8d2yu94/ztCBFDhQBhguKdiNJUrRPfp3nSs+FodrQLVL2bJxAwCwzq97a1hNzYgZZOSeawYGE34iapXZz/g9LuZ0x7L03XEkIdGYF6ktb/SykkMzvJCkqJ0FXFVV5cZTfmoa0egdvNpWWvDO1eDrw==
X-YMail-OSG: EKC0K7sVM1lWMhFtQ0Whf61b0KAf34d8gFTbBnuTZnY7xIrFtv0_WY4Bjd3I3qK
 kyJXOjRqa8MFxXX2SVnYGVFwLbMCNbSfRKBtsAwSxODBPl7i7JKJt2P8ELmNHaBbgtADNJ7jjZne
 HVy18B2ff4D23GGxvK.nUoLlRQI6xcJHxZGcPb2Ai0S74keRN30nh8lrMVncjYPsP0Y74CnikXP3
 E3LizkSGwsfWXPXLzzuxpGLIbk5n.fjPEuhmojv8smk3jQyLyEXZBLCz0nYbOOFKx1SYSv67Q73V
 lvlD0zJQVvRWuXPv5P1hDiUfyRjUIlLElNDrqQKqhtyfb3iUHKoc1puPPx2I_h8pk2PuVwX0CpWY
 Hb5XRbeX0oxEyN0uoeKhPJiKBJC1HYhRgN.kk0DkccarNL4ZJsJQer3wtkEEdL_7j5ltUlRsnPtB
 UjH99Nv_7_pjlkfDWWHct_GtL4M2j7kmPaJ6hBW.SLiV5SQ83UCYEvUjT88rj9nDWHJ48eFB0MWO
 Madfls.kxXzuebrlcGTxRYLVX.BzNpuTnsyK1fBC_82FDLyfE59gNqDuzV.Llacww6pQE0Ew4SPp
 kKkdKSSf2UcfpDKLw2eOKlyVjCD.3tR3nNRntU3ogQ1ARZDhGdZD13Q50PtSwPVlr6vffFYZ1cQo
 7Dt4e345WWYC0PbFoTtNMw8WFXzOYOrE13F7_Wt9OaNddSnW423pMyGel4MoqXrMvnFnrRJwZCqd
 dOmd9hwFSl0Mg.74SYCIsaqJdxLLI6khJ.vlwlTV5F0mHY5C3my0zCa0a3xqc5iQ.6_wV1NA._wA
 PHcPye77TuUImLztj5hAa5Wp0pO_rEpXKmtZjp9JXbTrDUeu_VozRRdn_Ysq753E.cjzvJyZMK_8
 NWDyPYx5iYCl4LY6sB0dAHpXBUVxmNHw3tYmLbk2J6D5xe0SbwIcflq35n_6_P4D8HDV2.jmNUcp
 kZlL8Yw302gxUpYz8IJmQ400NTnVyjPAl_qeFAvsMcufZd3xvYVU44VLXOVXM8KhqRppO3Ide90L
 im0zUJHfvNgrrD2Efbl4KZ_6wCC307m3pT3jDHa6EhcxAHQfCKQyg_d.R0jTY1ZUQrQ_Zf5R4L3i
 PJOhFksPjUet6idqugQtzA5Er6EamyaXhaGCI_8C5P_82tsHeDe6nQ.2oCGYurpfUAxIh2UkLXJ7
 TpqtBlib7wU5yB0xzNLTIXGAG1w_7IYDSpwpkRH06Yq95NnQTN6TC7kIHNIyoE6iI51NtsSzL_G4
 AwPZjaKMEw4yRTHPIL72RUVNQL99sLT2m.eEm7NgJWZiPY85dbOt9WLl7YUWPFdSsqAceKnAgEKo
 u42l5e5LTgt_gUHTZG1Rz0ZkRSK4lw7NG.WkdBLlzvU9UjABBvEm8ro30sF.3W7VD04IGhLux08L
 08OdQnSa8077craJklnK6fNM25L8tcb1zXvo16VAW.FuQe7ZTtm92Y8DjJV9fZmr8AMppryjbUoC
 CWnPJjCuM.ahiYf4eNN27Phwz5a5TP2i9N0IqxroN6MeRAuMplpbxxSvWbNVbNX005iXh7YkDo_B
 WgLNM54tcVBwNA8Ne.AiwWCoFqchdThp7M.vbeEQDPmyO2ppgDlrysFHvPVP9npNnqffJd6EDXoK
 sP_VQFVJ_nS2POwsuGoUdPXWLlgU93k1tjANk3SAIQeCKUZHTVY6FqG9OtjqH6QLlzTb6W06_73q
 gVglDPuPnTcS0h4E4r_DosW8CFVpaBLtBuofely8FEDt3alI8AqzsTFsRES5u6x0ZDysRbElMSNk
 eni7RR5zO8Lyj1fpcGw0RWvsYNDZJAixddJxHEfP9HJ.iUd4q9OWkjZWH_v85EzKWGriShr9lZfJ
 UIfSRlIPxGUuclMZ_rsYfUKnBYCJ09PqPq16SUtKBqeuAhmuviT1iFSxYumKp_Orvz.TKiiy_YAi
 _oVgXLku6j_PQ_p.Wud9bv2k3o_Wmrne.hJYuEu0xeeZq5Ugafo8rBNpRMaAt.v1m6G_yZF3iub6
 yfltd22VdsjsppRtkMclE9iQrS9X5Zu05OYgw_X8JjSJM2H7W3bDWA3TePfBtGNBfzuIYK.d4hgn
 u.WhLZqUtSW19LYbsYhPK5ybWJQuNbYwKlrEEbcaKzb6Jc0ykDcXvsCibJC7m8kyib3H7sijoQEX
 mKx2Cs9I7NGmWWh5.DwNf8hlj3QLfDjCopxoz.yc.X80uddeCpl5L1JczqIMYormVO.EYjADvS6n
 OZp_B2bnGpb2feCMe8P6cku0JVDiu02Fz0IxHHIsOW60PSAy548qF3wsmxdaafEt1wVx_mt8-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic313.consmr.mail.ne1.yahoo.com with HTTP; Sun, 4 Dec 2022 12:23:21 +0000
Received: by hermes--production-sg3-b666c6484-s6ncm (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID db944d3e8a46cba35093d2e08930562f; 
 Sun, 04 Dec 2022 12:23:14 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59794: 29.0.60; NSport segfaults when a fullscreen frame is
 being closed)
In-Reply-To: <838rjnbbqc.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 04 Dec
 2022 14:21:47 +0200")
References: <m2mt865810.fsf@HIDDEN>
 <handler.59794.B.167005568724588.ack <at> debbugs.gnu.org>
 <m24jucvk40.fsf@HIDDEN> <835yerd5gb.fsf@HIDDEN>
 <87ilirr0uq.fsf@HIDDEN> <83ilirbh68.fsf@HIDDEN>
 <87a643qt09.fsf@HIDDEN> <838rjnbbqc.fsf@HIDDEN>
Date: Sun, 04 Dec 2022 20:23:07 +0800
Message-ID: <871qpfqrx0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20926
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 249
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59794
Cc: gerd.moellmann@HIDDEN, 59794 <at> debbugs.gnu.org, justksqsf@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> I don't think I understand what that means, but the patch is accessible via
> a Web browser, by going to
>
>   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59794#20

Thanks! I'd somehow forgotten about that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59794; Package emacs. Full text available.

Message received at 59794 <at> debbugs.gnu.org:


Received: (at 59794) by debbugs.gnu.org; 4 Dec 2022 12:22:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 04 07:22:15 2022
Received: from localhost ([127.0.0.1]:57256 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p1o0d-00051G-08
	for submit <at> debbugs.gnu.org; Sun, 04 Dec 2022 07:22:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43622)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1p1o0b-000519-ND
 for 59794 <at> debbugs.gnu.org; Sun, 04 Dec 2022 07:22:14 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1p1o0U-00084N-TY; Sun, 04 Dec 2022 07:22:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Q2lCAloq89MncOvejGBQ8qLuXBRMMLhonmqNfSCVqpY=; b=lsdAE27c/udV
 vPkCM/+nQWV+asVdQStOfOeBTWBtx34tzdzkJLj9uqU6cDw5VZLMo6GBZLSCfu0GjfjjFkEYnwcy5
 Wt92delZrtdVThOKzXWWcNTQxIqQ+H18lu52mlbKWTYPgA/KpGvshy7nyzoozCY5Arc0vHHIvTS5k
 eS2oeso0MqG9KWpWnfr4E3McT+DGS95LDO3H03U/tYSV7ryav3fesnye7G56q6C9I+8TJQgHjZf0g
 iNh2JOuRT7pZNSf7MRqGMmu3wqEnAIFYAzw5kH1S3+ZT089DNrHVlhhXhZBxmQUWx9N8tIvuNhkig
 lgYrwNHjskR7tSm6EYhf6Q==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1p1o0T-00077F-Fk; Sun, 04 Dec 2022 07:22:06 -0500
Date: Sun, 04 Dec 2022 14:21:47 +0200
Message-Id: <838rjnbbqc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <87a643qt09.fsf@HIDDEN> (message from Po Lu on Sun, 04 Dec
 2022 19:59:34 +0800)
Subject: Re: bug#59794: 29.0.60; NSport segfaults when a fullscreen frame is
 being closed)
References: <m2mt865810.fsf@HIDDEN>
 <handler.59794.B.167005568724588.ack <at> debbugs.gnu.org>
 <m24jucvk40.fsf@HIDDEN> <835yerd5gb.fsf@HIDDEN>
 <87ilirr0uq.fsf@HIDDEN> <83ilirbh68.fsf@HIDDEN> <87a643qt09.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59794
Cc: gerd.moellmann@HIDDEN, 59794 <at> debbugs.gnu.org, justksqsf@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: justksqsf@HIDDEN,  gerd.moellmann@HIDDEN,  59794 <at> debbugs.gnu.org
> Date: Sun, 04 Dec 2022 19:59:34 +0800
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Why, cannot you access debbugs?
> 
> debbugs-browse-ephemeral-emacs-bug-group only included your reply to
> this bug, and not the patch you replied to.  That happens once in a
> while for me.

I don't think I understand what that means, but the patch is accessible via
a Web browser, by going to

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59794#20

> Thanks.  I'm fine with installing this on the release branch, but the
> comment should be modified to say:
> 
>   [resetCursorRects:] can be called from the event loop after the frame
>   is deleted.  When this happens, emacsframe is NULL.  This means there
>   is an underlying leak of the EmacsView object!
> 
> also, perhaps it should be omitted on master, at least until before
> Emacs 30 is released, to motivate other (hopefully more knowledgeable)
> people to provide the necessary information to fix it.

Will do, thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59794; Package emacs. Full text available.

Message received at 59794 <at> debbugs.gnu.org:


Received: (at 59794) by debbugs.gnu.org; 4 Dec 2022 11:59:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 04 06:59:57 2022
Received: from localhost ([127.0.0.1]:57155 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p1nf3-0002VZ-0b
	for submit <at> debbugs.gnu.org; Sun, 04 Dec 2022 06:59:57 -0500
Received: from sonic317-34.consmr.mail.ne1.yahoo.com ([66.163.184.45]:32819)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1p1nf1-0002VS-Bt
 for 59794 <at> debbugs.gnu.org; Sun, 04 Dec 2022 06:59:56 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1670155189; bh=pQ0YFrZdlyznivM0UavxQ5Bwq+DwRASn7NrDHl8pgNo=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=DhHj2fxYeZenaHWm/8nWmwQLZxvQU8hRxFtoVrJw8YA9TBBYns7M86d8VioTV2iTtHs+K76RuZyQlM/RTtGJAdjd+oBx/dpMIZVf5+zOFOu7indXoB/tO+D2Mgq7hIq/940ZHwnalbX/M088SgML2JOEE0BIaOU4nxjPfmmm5ptGcBVbNEhgEO1YYAm55v2xgKVSd3V1TXZHA59ddPFpFECnZ79uSdLPhy+ABc5xlZfr8uZ7Oq39IX4+v1ZeXgY/BNNvpQFiSc3VwlIXwOvuYvHnBVH6mnRZnRl3ORrzIpkIUDQiRzIzxmwy91F9kRchAYo+6OAgG1lD0KKnmqXtkA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1670155189; bh=L9soHJ9mSawN1kpsYFPQx7K+L3POYCNnnVepD8mVS8F=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=HguHlanWQPHY/OcQA6jGulOhgnCsfgAAAG8pKCTvxELTHwIMN3guH0d+1cTpu6KqDX1jZUmnAK1DRIbL1XF/kI6Q3+bLqCoHKgnSbHonGiYzboEFqqXfwbZfOvBQCbY6votuJ0LXaZmZuRIUW+nviDls6tcX0RB3/6zTiyiTnvwhcDUEJOcma3SIIpwhansMNsIrlS13Nblpu3foiKBV0TNN9OARTgfa0rUTZQ1wgTUigKBUZMbCKEPkeSt9vaEixSsRplsPnN17AYFOALVwXkuHMeKyzguUek7hb4+oOUbY595VzFP7hFeyVHryG7K3ibA5wR8Iv9piX9Xc+CY2Hw==
X-YMail-OSG: ra3ASiIVM1naokH8NvoP9Dcckrz8BuiwVyEL7QbEHpSw_vbsAjRpfQlswdxOwMq
 8jvzHPSw9r9Y7C71PfSR1YnF8D9PWcStqZIeI.Lzic3A5F9bAagXwFukRzYAzwmO5.ZrBOmlfRPu
 1usyRtTSszwZrX76ZsPfeHC7aNUO1drPH1wlq42tSv4.wmDbqYYE2_U7IESVh2BLlIi.QrQT4bUv
 Fgvft3l6HI3_lzCppqgp7u2wl3M1Mt1_WMsFZ3cna2V.FRI8fGMrPdmEOhXUnjBcyRadHhWex2Ay
 rnS9yjW0_3AN4Zr.YmY8bDgln_NQ8eFxte_0AzfhvqWh8nhKictpLrVz0TpcxHlLNSGnJPwLvurC
 MgUXHHKiulWkRfKro2ybD.x4f4FQic_zHEpRTWX0m_jkLJCz08yvzy2A4.yNKgy.afx3Laaw2E6v
 SHXybC.Q3VlZDB3QIipSRZQ8jpCdjfnd7wW_D3i7vzl8jsRcsy90Fy6rMNA1BcALq1iEmDUfqDw.
 2JkOxqtwEm6oK_3mzS4nu16QvYzZlXAhe_ZKRgIVjCk__YmsfbaPBhRaa93gqSor1qnrrNZGlHpE
 qpEHix2ROsG7oTI9lTI8bIf00DkgN.TBozOlz67p.EzEeJPuyIc9qA7zXvJP1Yg1q36utFRDfeVH
 6z3uLoVj4Jzb.bKfSns3Bu2QP_J4gCUCqlIzrnz5ysrBgaWBra7eZuGxzt_8ndIm_b7kg57JHk3x
 mKlETV.PXkK..OEzUT1gxJUJ5FF1YDNIMNkz.xxwm7JBuRr7pWGh7xKJpaD.FG0PJIVzkJuKZFEv
 dlyOyTizPZ3MeVg4FNpbxj8_ah7fecorh79Dbjiv5KGM82meOGGPQ.FCT62poN1uYAj9jEYC6rbf
 zNtDreP2YOAEMnsPKLMhhWOz4GTnp0IdCgVgWrSmxnNrwCaV54eo2PlqcEaU3e_ca6zEC.IYkZFK
 PrE30IZodc4izqXsjAWUK9XnMwp3kzMdw7uxhCYTtYCLBVUbnRM2T6lkYJzM0WPuUYFcqSir9Bhg
 MYTA0NrLHZTXN4CMNVQNWh.apag7L7M6S_oPo8bzH6lqiRep8keEFMtlM_wE0fY0PDfiCq1p7V1b
 tkHM3titeWekow8g0JMbRYvNAL1MO2w2QHzPOd9WawQS.fxWhV4zNB2SsNoP3R5AWPz6ZcrczlyG
 1EcbXn4RZa0jkaRu9e8tDuAiO_i6qPEB_nDFSGdsHLCLC8w6_lfEot9C8Hz_juLxK.DuDrqW.Y0G
 mvwEYU.WTuFDbMYQOrXTiI0SnRZ9NRY77aSXdCq1Ext9PXK5WMFu_cLYcJUK.gbUw994Bqc9T53D
 8RmuuLPC5lU0p_OqdWxgXZ3s1rOo8V.rmGMR.L32q5ZiteX_lCFCCpsSUvYbjJrKArweqGPXQK23
 .Iso342hIaIfreg2ece4bygH.UoExsTsRCDcYVeJCZsyEozReQGOK6jDRyZIshRXYKXYKcJo9pOw
 qItrjnHsHbMNiC7KtzAAmHNsJCeJ10jHzOpbGa_bZPVDef.obARMDla1IhWHM9ay7c1Q2AZ1uM15
 DTUw7iaRmOwztof2A11blZk1pIJu_vw3zM1RNY8GENVpxgc5Xx2Tu3ufKfzMVYjiAbX5b9Oz1nWP
 7HiBbDifzX6cPJdXQorPE4pSZoKgeSMazCQfePdeLKy7I0.Ii7vm23vNbdZj4qNXW0X0lVid1zHb
 sgcUsMnCylH1YSHztMDyyzoVxQucs.Ccn288pdd9D1Aiq4erGmP8.jJ7uMmF9OF5bszSSEqsQsYy
 vk4TsPRjV1EomLbP8oRJRWtuRoOuia1AIX7qKn.6BL3OpRd7061DD0vaPmT8POTrc2ANBexDsBre
 4R1C.ibbL4inH5ppMYe5znV84UDoX1qO0pxGJHxzi6DFt8LImPDFy2lFZwDDmN2tU3JVf38uuCKk
 Q8FLRImTtvmPDMET4J9zb_En4ILuvGBmNXMj0HrZg3C9sBfRcx3y6_FreO7Z6fNTeAjaCkHc8A_x
 45K7rMp6QAH4Ho1nJ4QPE5_pRNr_uW_XuNRFwa2Yd_z4wn_HI.3HFOSRb9saursU1Crqwl2rRpbX
 eySDyO51Fb2E1E4vJxwbUq5xU2Ea60chDU8PtcR1kOQtqtLKlOWHaADQdgrLH0wMTQ9t7cJg8MFY
 RUO_xznWucBU6jYm4vklOkuFceIaX7kMMu3bCwvAlBxoXIaxX9Nke9iSVCak4MJrJDbIuTwlYi.T
 zqEpo6TBycCmHNZ5sRKyKSEaYL8nzZF_bMjhYZqylBCgSe7otsUkv32Xww_Gh8iRQHOQ-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic317.consmr.mail.ne1.yahoo.com with HTTP; Sun, 4 Dec 2022 11:59:49 +0000
Received: by hermes--production-sg3-b666c6484-4bg7k (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 4197aaeee61e3931f2b3ff48e32943b4; 
 Sun, 04 Dec 2022 11:59:42 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59794: 29.0.60; NSport segfaults when a fullscreen frame is
 being closed)
In-Reply-To: <83ilirbh68.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 04 Dec
 2022 12:24:15 +0200")
References: <m2mt865810.fsf@HIDDEN>
 <handler.59794.B.167005568724588.ack <at> debbugs.gnu.org>
 <m24jucvk40.fsf@HIDDEN> <835yerd5gb.fsf@HIDDEN>
 <87ilirr0uq.fsf@HIDDEN> <83ilirbh68.fsf@HIDDEN>
Date: Sun, 04 Dec 2022 19:59:34 +0800
Message-ID: <87a643qt09.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20926
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1901
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59794
Cc: gerd.moellmann@HIDDEN, 59794 <at> debbugs.gnu.org, justksqsf@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Why, cannot you access debbugs?

debbugs-browse-ephemeral-emacs-bug-group only included your reply to
this bug, and not the patch you replied to.  That happens once in a
while for me.

> Anyway, attached below.
>
>>From 8ea35a8099f34f482d090ea8068e89f52dcd29ac Mon Sep 17 00:00:00 2001
> From: Kai Ma <justksqsf@HIDDEN>
> Date: Sat, 3 Dec 2022 18:17:26 +0800
> Subject: [PATCH] Prevent a segfault when deleting a fullscreen frame on
>  NextStep.
>
> * nsterm.m ([EmacsView resetCursorRects:]): Be defensive when
> accessing FRAME_OUTPUT_DATA.
> ---
>  src/nsterm.m | 12 ++++++++++--
>  1 file changed, 10 insertions(+), 2 deletions(-)
>
> diff --git a/src/nsterm.m b/src/nsterm.m
> index 507f2a9e7d..c09f743ec7 100644
> --- a/src/nsterm.m
> +++ b/src/nsterm.m
> @@ -6703,8 +6703,16 @@ - (BOOL)acceptsFirstResponder
>  
>  - (void)resetCursorRects
>  {
> -  NSRect visible = [self visibleRect];
> -  NSCursor *currentCursor = FRAME_POINTER_TYPE (emacsframe);
> +  NSRect visible;
> +  NSCursor *currentCursor;
> +
> +  /* On macOS 13, [resetCursorRects:] could be called even after the
> +     window is closed. */
> +  if (! emacsframe || ! FRAME_OUTPUT_DATA (emacsframe))
> +    return;
> +
> +  visible = [self visibleRect];
> +  currentCursor = FRAME_POINTER_TYPE (emacsframe);
>    NSTRACE ("[EmacsView resetCursorRects]");
>  
>    if (currentCursor == nil)

Thanks.  I'm fine with installing this on the release branch, but the
comment should be modified to say:

  [resetCursorRects:] can be called from the event loop after the frame
  is deleted.  When this happens, emacsframe is NULL.  This means there
  is an underlying leak of the EmacsView object!

also, perhaps it should be omitted on master, at least until before
Emacs 30 is released, to motivate other (hopefully more knowledgeable)
people to provide the necessary information to fix it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59794; Package emacs. Full text available.

Message received at 59794 <at> debbugs.gnu.org:


Received: (at 59794) by debbugs.gnu.org; 4 Dec 2022 10:24:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 04 05:24:43 2022
Received: from localhost ([127.0.0.1]:56750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p1mAt-0001Mi-1f
	for submit <at> debbugs.gnu.org; Sun, 04 Dec 2022 05:24:43 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45476)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1p1mAr-0001Ma-6M
 for 59794 <at> debbugs.gnu.org; Sun, 04 Dec 2022 05:24:41 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1p1mAl-0007Y4-VJ; Sun, 04 Dec 2022 05:24:35 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:Subject:In-Reply-To:To:From:
 Date; bh=7MlU8LeUmmERsuxr56DSGdjMkhn25+/D4u0f/SPDf68=; b=n3plzImb9xHuJBAFIveF
 pfOHKPeLvWEdTdcm4aFGJRqxgcakXniPc7VkczaNdujwo9uoS308/cimW1NGwWGs2W5ikryCLYnkX
 89dKrjvg8kIPGgWVI8UNLxCvAI6tkv7pQ/iJIRufVIl8ARRSiUZYxXJjg8sBJ7MKsMNqnZgXe59zw
 gO9Rg21u8XSwbZLktKTKisnWoTKahudMadpv2Xfsd3JiIgmIDCinLEuh7JanqPxAlKLlqKj0QGzSA
 zFPSx74GWA0u1JghymlkUFW9VpJJ6T27vjaE34NYAzTrQadiNlFdYt5JX5tvr+pSgOG8/BgZX6zH6
 Nz2IKH7jGrKhkw==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1p1mAl-0003jr-96; Sun, 04 Dec 2022 05:24:35 -0500
Date: Sun, 04 Dec 2022 12:24:15 +0200
Message-Id: <83ilirbh68.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <87ilirr0uq.fsf@HIDDEN> (message from Po Lu on Sun, 04 Dec
 2022 17:10:05 +0800)
Subject: Re: bug#59794: 29.0.60; NSport segfaults when a fullscreen frame is
 being closed)
References: <m2mt865810.fsf@HIDDEN>
 <handler.59794.B.167005568724588.ack <at> debbugs.gnu.org>
 <m24jucvk40.fsf@HIDDEN> <835yerd5gb.fsf@HIDDEN> <87ilirr0uq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59794
Cc: gerd.moellmann@HIDDEN, 59794 <at> debbugs.gnu.org, justksqsf@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable

> From: Po Lu <luangruo@HIDDEN>
> Cc: Kai Ma <justksqsf@HIDDEN>,  Gerd M=F6llmann
>  <gerd.moellmann@HIDDEN>,
>   59794 <at> debbugs.gnu.org
> Date: Sun, 04 Dec 2022 17:10:05 +0800
>=20
> Eli Zaretskii <eliz@HIDDEN> writes:
>=20
> >> From: Kai Ma <justksqsf@HIDDEN>
> >> Date: Sat, 03 Dec 2022 18:48:15 +0800
> >>=20
> >> I'm currently using the trivial fix to prevent further data loss:
> >
> > Maybe we should install this fix.  Does anyone see a problem with it?
>=20
> Could you please forward the patch in that message?

Why, cannot you access debbugs?

Anyway, attached below.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Prevent-a-segfault-when-deleting-a-fullscreen-frame-.patch

>From 8ea35a8099f34f482d090ea8068e89f52dcd29ac Mon Sep 17 00:00:00 2001
From: Kai Ma <justksqsf@HIDDEN>
Date: Sat, 3 Dec 2022 18:17:26 +0800
Subject: [PATCH] Prevent a segfault when deleting a fullscreen frame on
 NextStep.

* nsterm.m ([EmacsView resetCursorRects:]): Be defensive when
accessing FRAME_OUTPUT_DATA.
---
 src/nsterm.m | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/src/nsterm.m b/src/nsterm.m
index 507f2a9e7d..c09f743ec7 100644
--- a/src/nsterm.m
+++ b/src/nsterm.m
@@ -6703,8 +6703,16 @@ - (BOOL)acceptsFirstResponder
 
 - (void)resetCursorRects
 {
-  NSRect visible = [self visibleRect];
-  NSCursor *currentCursor = FRAME_POINTER_TYPE (emacsframe);
+  NSRect visible;
+  NSCursor *currentCursor;
+
+  /* On macOS 13, [resetCursorRects:] could be called even after the
+     window is closed. */
+  if (! emacsframe || ! FRAME_OUTPUT_DATA (emacsframe))
+    return;
+
+  visible = [self visibleRect];
+  currentCursor = FRAME_POINTER_TYPE (emacsframe);
   NSTRACE ("[EmacsView resetCursorRects]");
 
   if (currentCursor == nil)
-- 
2.37.1 (Apple Git-137.1)


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59794; Package emacs. Full text available.

Message received at 59794 <at> debbugs.gnu.org:


Received: (at 59794) by debbugs.gnu.org; 4 Dec 2022 09:10:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 04 04:10:24 2022
Received: from localhost ([127.0.0.1]:56386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p1l0x-0000dO-Rj
	for submit <at> debbugs.gnu.org; Sun, 04 Dec 2022 04:10:24 -0500
Received: from sonic315-22.consmr.mail.ne1.yahoo.com ([66.163.190.148]:35115)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1p1l0v-0000dC-Nx
 for 59794 <at> debbugs.gnu.org; Sun, 04 Dec 2022 04:10:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1670145014; bh=sFiJ6S4GLlrAgucXJZTr/TY3ColoESggHt5hJ8RADZg=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=mJ/hfhusUIH27ddu+uP8HESLY4lfw5FzzJ7IV/JNVzQBglqy8DFuZ2EFNKYamoc61H2pjJ08VI3Ql0nESPYXPU1IE5yCEIbeljKbbXsA39IHUBqs1HoOzmSugzVRHMC7h+RSVxPWmOZV5LPxSAV8ibn9Y1cgOolVb7Frdb7tuY4xl3zHdeKvq4QiBZ1mA5AXyrfmIsPl3bV4QBMq3u8MA5zBBVX7t7xklyHM/UFnl6W7/7onL53vgDXqGQEZS2ie67hrf7Fp/oYLJ88SDibY1rm8nvyCxczE9uaZ3rSeLvtW+AD4eVrCVGqF43ap5JGFDYQ0zbwsMUgamb5v1+yuEQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1670145014; bh=rbGM+3g9gYPGLe5w9uRWozvjLoyYEjNCw4thY/GxoiX=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=FKeoeDt7hHymHCw5JlsM5BeSL6CLq33unzT4V3xb/QnInlP1H7qyJbNmxgS0w9VFZvuHRzFJxvRnsdzr72gsHXT6MeS3xORznNwXcqYkmoeoMaCToK68hfjYtHyDs6YIlN++zyyuKL4XEYoMdiY/Zs0ykTHzpwSWpVaBfmeD3/Gyy17VOpnHQft0tl4GXyJBwFmOiVJwsRk2zsD4/DzmOUX4mh4BD8E7xVJitec6T8fC7hn7xJCDqCPiMXCLTCttm8zXKF5CPBixIntFowqDdp5s/iIlNppkfMFS64ftbdcTX57n5yExJ9nE3mOoih48HdC6ylHGqpMVeuPsPqwnyw==
X-YMail-OSG: GTmZw5kVM1maerkX0oASJZb6HUgYUgRhIyDrvRTNE3yOFeOJD7IIMyasyD6fKBh
 XV5ipmGKC783N_B1N07.5lOZvbEh9IdkYf7TQZ9CWsJapvamUMa85Di5e0JWpBVQU67NaWsJqEAM
 _b6yVa8a9zlsG3g7X_xrPK6j27sjyV5GH47ph9pQ6BTdBLUah3s188EKS51uMB2UiVDmebQfgRGN
 JJKaRlkdbRH0SJRIczky0cjRxmx5p2BLHkENeyJfx3J1advJknk91cHA0mz88702qMX51m3L3UkO
 ROp9eWX_XS3hm9bpaxMrpCQW1Lr9n74dDSA5EPwI0PTrqtdS0RE89BwNV8SHGOxs_rJ.3Yjuqjx4
 BPaRWMGG0b9hWllC7OWzqyGGpOu3hEwNVDsmt82o1mkdlqUcYx9piYQmMN2FN.O2D92x4mm48gb_
 UUCXILAlqGD2eRewqCt.HrsRa.XUD118LQBvMYcL8AbTj7d_CRNKlEzQcgQwbd0f37R8bPOyLSzW
 sn80yhCe1eZ5Hb6cRlKQQOTsBHNWMIuj4sRcbXoklHycGc1UUQCos1fNJ39NH_eF481Rko1p.z7_
 wXATyS1CcEJJYuR3oSHDauWA1y35nYdV.mCgfgh1IxRNNDrPLP4PfHpFJMhmvKmX3B9uShZYUMoa
 WY2MsuHAic7t3kDca2XzFe3waUrBC_QB7hOPC3T7cymgsFix.sbhvZhRoffOfOVts5CSAZhkxFND
 rdYBKtYZyO.cRNUnJweqvJYBo69lY8EAC.OisErSbkhUIc4zgFcghKYIcSyeqE72fMNHWxL4yjsM
 BdoQEp9fvcLRl7zRbWMktNPvJ6j_pW96GuZvU8_g4UJImc3aZK9rp.AAqMiw76SqBx2DbaDUujQ5
 bCHYdmKqp3KlQTGK9.SPq7qK.cFWMZyzBRAqEiL43gfhgDwHc.gssv.sEI9HiqPMbEDlEslUYLyo
 wr6FfCXIOA0jpJZGhK1yBJSQDZwZmiuxpvj8qRXeHq7RRO68Jg6G.BULeEvBWswvpO1zNNEKkGpL
 1AWREP7pzWSc4Fw8pTPFECsuLgwVqUrE8POouwdpQJRL2zEcScbz_XoZ9c5Qg_MvOJkPQcmYJfA0
 fc5RE_GDXGpyvr7FmcOpVlJGWOcEvObGAhX6Dtxswm4gET_ZI84gTzZp2qg.j8JmkqtNZXS1kYei
 dVPcFEDXRyydLk0zHO0emQzZM3OfOoNkfRwdQM_Ttvs1.dd1Wkjjb5dGjRx1r5Rkq35UmhafuWGE
 5m1z.HCjgn1gCSv5PpZIlbkq.2V2u0F4M6_9XvLI1T991WAqh6HJfV2aEhJPxQnfNWyFe6UbOawX
 BqrhNSXX8iAHl.8gAETjmT6retZJcoVRNedQ6y9zkFC5mLX4_Wg2.j9kSgKDvSFvjH31nvJ_EIYQ
 4qrJC2ASUvhbkH4kZrkmaonFYB1plN8VCrFWHBL7PdRm_M27_KQJDG4u5MevrtGZ..i.jnwitHDY
 nMtD0TmQy5lepIG4o9vu6mKaVSnJAHSZD.LBEUiZa3tZWFWgNreQm.emzSQFxIP.SVT9B2Zc2qqh
 soCQyEiG4HgXD1r9BLcP9AYva3M3zE71FkaI3objyvFPabWPUJGZXqrhS8VVgKOOCbTd1kMNRz3_
 sz7tQqy2j6SNFBPHPjMGGhP2IpqJyicYNZW9L4OgChjwrfU7uSHRfws7tDZnupfsX54rRYnyWHik
 STQ5..uInCBvp7KVV7VctXayWL7iEpuMYV1hwDJcBKGYYf7_NKStmgEpQJr.7RgTD0oOHmcfjS8Y
 Xr2n_wTVkPurMdg4_KLwrXTe37arra9zn_MafqWmYiIX4dO0zGn5NBnDNrnxvjWjzCoAEdvNIrro
 5v6iVQyUS_IKgz_3P4ocS0DxkeyV6moHc9hPhIbiVY6gk4.itYvwuaobnv.TYAqUH0SzG2ZBPIui
 4uVT6gtIw8NylC6SPRZBbFj85p4W6G5.RIAFxT3FRTp4gfESpxW6uKNmD5A9WR_4KbTnPhyXlbFm
 BKaX0fajwFj7SVmbYeDiU2GnW2HDXy65D1_yEBTzheCnuH4FrEi9YhNSlo7yOcNjYt_HqN6Roky_
 qcyBiLSTuh.CPyTx.kWu4heorhXRNm1JlD3riaojKyoRNv91XyCFDgruFfqXLRMGPS1VUyGg91rz
 Aieeclu.ubKJPPbrR1znFDUxQNcEbsQJsfUsvUXUytpZizRj6pv.G44BfUVvXB6EcEl3NOQ9vcWL
 VDlW3WrSg0gNYmeUGd3naZK0vRNoD3zabsR76TwK7yVaeNz1CKsTzaNqVokVZtgpghQA-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic315.consmr.mail.ne1.yahoo.com with HTTP; Sun, 4 Dec 2022 09:10:14 +0000
Received: by hermes--production-sg3-b666c6484-clrgd (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID afa6cfa02b56354e5593645b81ae8ec3; 
 Sun, 04 Dec 2022 09:10:11 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59794: 29.0.60; NSport segfaults when a fullscreen frame is
 being closed)
In-Reply-To: <835yerd5gb.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 04 Dec
 2022 08:54:28 +0200")
References: <m2mt865810.fsf@HIDDEN>
 <handler.59794.B.167005568724588.ack <at> debbugs.gnu.org>
 <m24jucvk40.fsf@HIDDEN> <835yerd5gb.fsf@HIDDEN>
Date: Sun, 04 Dec 2022 17:10:05 +0800
Message-ID: <87ilirr0uq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20926
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 325
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59794
Cc: Gerd =?utf-8?Q?M=C3=B6llmann?= <gerd.moellmann@HIDDEN>,
 59794 <at> debbugs.gnu.org, Kai Ma <justksqsf@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Kai Ma <justksqsf@HIDDEN>
>> Date: Sat, 03 Dec 2022 18:48:15 +0800
>> 
>> I'm currently using the trivial fix to prevent further data loss:
>
> Maybe we should install this fix.  Does anyone see a problem with it?

Could you please forward the patch in that message?
Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59794; Package emacs. Full text available.

Message received at 59794 <at> debbugs.gnu.org:


Received: (at 59794) by debbugs.gnu.org; 4 Dec 2022 06:55:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 04 01:55:10 2022
Received: from localhost ([127.0.0.1]:55731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p1iu6-0007mr-94
	for submit <at> debbugs.gnu.org; Sun, 04 Dec 2022 01:55:10 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1p1itq-0007mO-Kh
 for 59794 <at> debbugs.gnu.org; Sun, 04 Dec 2022 01:55:08 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1p1itl-0006fN-2R; Sun, 04 Dec 2022 01:54:49 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=mSIo5CIWyul/eIVV6xFZ/goCildWzYN5IHO6UANNpgk=; b=rUi1CGzYqkojWKO6N4Bk
 KGooE32dMQSCoUwek1xMmrK6Qro63eGmNj4UcJ5DZdAIIY7cAqJgxkVhhW5lGIAk7+zmKN5LcNvUD
 7QlRGlWMWcwiFJt+hK8wYc3WJektBWBaq1eOlEnuatEQXEwt/iRrw7U5YC1teh0HB5Z/Z7mTwJn/i
 W9ftzfuBWstVjZwb7PmtbF13FTFK8aTbvIHN9t/OyisxNneUs3dZ0UIACpvgKfrvqi0EIvj/ZURHg
 XioxIliA6c2QtB6T4GdVbcu4WbhmUnENZRgJT27GugpymzDuDieozxOciZLTYnEs8e0uMA4WcyNE0
 ER/QDkJWSuhKPw==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1p1itj-0004L1-S3; Sun, 04 Dec 2022 01:54:48 -0500
Date: Sun, 04 Dec 2022 08:54:28 +0200
Message-Id: <835yerd5gb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Kai Ma <justksqsf@HIDDEN>, Gerd =?iso-8859-1?Q?M=F6llmann?=
 <gerd.moellmann@HIDDEN>, Po Lu <luangruo@HIDDEN>
In-Reply-To: <m24jucvk40.fsf@HIDDEN> (message from Kai Ma on Sat, 03 Dec
 2022 18:48:15 +0800)
Subject: Re: bug#59794: 29.0.60; NSport segfaults when a fullscreen frame is
 being closed)
References: <m2mt865810.fsf@HIDDEN>
 <handler.59794.B.167005568724588.ack <at> debbugs.gnu.org>
 <m24jucvk40.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59794
Cc: 59794 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Kai Ma <justksqsf@HIDDEN>
> Date: Sat, 03 Dec 2022 18:48:15 +0800
> 
> I'm currently using the trivial fix to prevent further data loss:

Maybe we should install this fix.  Does anyone see a problem with it?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59794; Package emacs. Full text available.

Message received at 59794 <at> debbugs.gnu.org:


Received: (at 59794) by debbugs.gnu.org; 3 Dec 2022 20:51:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 03 15:51:41 2022
Received: from localhost ([127.0.0.1]:53273 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p1ZU5-000180-F4
	for submit <at> debbugs.gnu.org; Sat, 03 Dec 2022 15:51:41 -0500
Received: from mail-pf1-f194.google.com ([209.85.210.194]:43669)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <justksqsf@HIDDEN>) id 1p1ZU3-00017u-Sn
 for 59794 <at> debbugs.gnu.org; Sat, 03 Dec 2022 15:51:40 -0500
Received: by mail-pf1-f194.google.com with SMTP id n3so3651308pfq.10
 for <59794 <at> debbugs.gnu.org>; Sat, 03 Dec 2022 12:51:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=references:to:cc:in-reply-to:date:subject:mime-version:message-id
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=tSiBRqTMztVxwu0QMr4xueO9/UWaKeTun7xMukYKgjY=;
 b=m+AdOOWpvFhQ9nMMq1BWOwMscVMa71LSJwR4Y9xuUU+SWkgibhxhw6HiWGzsVMQNHs
 2aCl4ESKPtLluytzP1HpEfxUmDTpIAt377DR3yoVExnx0ul3kb9meflBI0VHR2zn+O07
 1Tye4HmLPi5T05Ze+ybDDOLqgQFmxk6h7DxAni3W33KFssj8/ZNgRtaY0uQC4L2z49Qi
 Wq6qpgU6F7WmkliHLMJcSfQa43g6+hVYN2zc2q8bXKzOhosP0ft1dKa8ZeEKFw7cbn4G
 sDUv5ecG+0cnE1WokHG9KOxypBpIbjJWDznzv3x8470Z/mkg2EFGlZFnqr8/aBQOq+Fi
 HA4g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=references:to:cc:in-reply-to:date:subject:mime-version:message-id
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=tSiBRqTMztVxwu0QMr4xueO9/UWaKeTun7xMukYKgjY=;
 b=Z7RPjuIcOWzBd28EpkohIu/htvpiEkBiBKjHij8E8xADocoo9tXRIUX6Hrxn37Z0fT
 mR3psFZAVX9jsvCJUDMoHXuszsI8IFd+D8gX5djPjTwcUxWhmVJEqw4ShK32fTYepMgk
 9cOOwaniqUiapnFwZ9WJeuVrmu71kG+y3knbx0qDWwPgGvmCy8E59CZMuauWgbjdPUNx
 RgL0NZQ8jaqIETM9y8yBgycx8FIiOzPgFx2co5Y/Jw1SE6MXbtQdwcRlMJWOqSfsa1W7
 l/ocZteWyZMo+mGGl9UtmTeLXvMJoWY6+7J2v1RQw5JR0HFUCdN1eBk0OY6GmsArYV7j
 smtQ==
X-Gm-Message-State: ANoB5pnTnxMJHZH6bzEi3QV2Go9/uwpCaZW/poMzxeB/ywztJ56JCK+3
 sYLAg0CUZZjGT/NtHEGXb4k=
X-Google-Smtp-Source: AA0mqf4k03pmUQttqp+34bXiyg/06AXpT5fkfVzaoElVU5IsQnNFaEa6T2AArnmp5sxlT0R83TLUlA==
X-Received: by 2002:a63:1e50:0:b0:46f:81cb:6d76 with SMTP id
 p16-20020a631e50000000b0046f81cb6d76mr50480655pgm.599.1670100693915; 
 Sat, 03 Dec 2022 12:51:33 -0800 (PST)
Received: from smtpclient.apple (n058153170106.netvigator.com.
 [58.153.170.106]) by smtp.gmail.com with ESMTPSA id
 b7-20020a63cf47000000b00477def759cbsm5977551pgj.58.2022.12.03.12.51.32
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 03 Dec 2022 12:51:33 -0800 (PST)
From: Kai Ma <justksqsf@HIDDEN>
Message-Id: <C6772904-5AD3-42A0-B70F-DF39EBE0EADF@HIDDEN>
Content-Type: multipart/alternative;
 boundary="Apple-Mail=_664764C0-AF22-4301-B057-577971FEE753"
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3731.200.110.1.12\))
Subject: Re: bug#59794: 29.0.60; NSport segfaults when a fullscreen frame is
 being closed
Date: Sun, 4 Dec 2022 04:51:18 +0800
In-Reply-To: <99841eb7-fda0-517a-2454-79b8c5e29991@HIDDEN>
To: =?utf-8?Q?Gerd_M=C3=B6llmann?= <gerd.moellmann@HIDDEN>
References: <83a644eq8p.fsf@HIDDEN>
 <983d8969-63c9-84f6-59d3-8788dee17f88@HIDDEN>
 <7ADCCFFC-F171-4D65-BE7F-AEB60648FBE7@HIDDEN>
 <99841eb7-fda0-517a-2454-79b8c5e29991@HIDDEN>
X-Mailer: Apple Mail (2.3731.200.110.1.12)
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 59794
Cc: 59794 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)


--Apple-Mail=_664764C0-AF22-4301-B057-577971FEE753
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8


> On Dec 3, 2022, at 21:53, Gerd M=C3=B6llmann =
<gerd.moellmann@HIDDEN> wrote:
>=20
> On 03.12.22 14:03, Kai Ma wrote:
>>> On Dec 3, 2022, at 19:44, Gerd M=C3=B6llmann =
<gerd.moellmann@HIDDEN> wrote:
>>>=20
>>> FWIW, no crash here with dd7a7633bebc4db5caca3898bf318721f1f370c8 =
(master), macOS 13.0.1, ASAN enabled.
>> Weird.  I tested this commit with the default configure options and =
it segfaulted.  How to enable ASAN?
>=20
> I forgot to mentions that I have an M1 here, maybe it's that.

Thanks!  I tried again with your configure options, but Emacs still =
crashed here.  :-(

I guess this is indeed the reason.=

--Apple-Mail=_664764C0-AF22-4301-B057-577971FEE753
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"content-type" content=3D"text/html; =
charset=3Dutf-8"></head><body style=3D"overflow-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;"><div =
dir=3D"auto" style=3D"overflow-wrap: break-word; -webkit-nbsp-mode: =
space; line-break: after-white-space;"><br><div><blockquote =
type=3D"cite"><div>On Dec 3, 2022, at 21:53, Gerd M=C3=B6llmann =
&lt;gerd.moellmann@HIDDEN&gt; wrote:</div><br =
class=3D"Apple-interchange-newline"><div><div>On 03.12.22 14:03, Kai Ma =
wrote:<br><blockquote type=3D"cite"><blockquote type=3D"cite">On Dec 3, =
2022, at 19:44, Gerd M=C3=B6llmann &lt;gerd.moellmann@HIDDEN&gt; =
wrote:<br><br>FWIW, no crash here with =
dd7a7633bebc4db5caca3898bf318721f1f370c8 (master), macOS 13.0.1, ASAN =
enabled.<br></blockquote>Weird. &nbsp;I tested this commit with the =
default configure options and it segfaulted. &nbsp;How to enable =
ASAN?<br></blockquote><br>I forgot to mentions that I have an M1 here, =
maybe it's that.<br></div></div></blockquote><div><br></div><div><span =
style=3D"caret-color: rgb(0, 0, 0); color: rgb(0, 0, 0);">Thanks! =
&nbsp;I tried again with your configure options, but Emacs still crashed =
here. &nbsp;:-(</span></div><div><span style=3D"caret-color: rgb(0, 0, =
0); color: rgb(0, 0, 0);"><br></span></div><div><font =
color=3D"#000000"><span style=3D"caret-color: rgb(0, 0, 0);">I guess =
this is indeed the reason.</span></font></div></div></div></body></html>=

--Apple-Mail=_664764C0-AF22-4301-B057-577971FEE753--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59794; Package emacs. Full text available.

Message received at 59794 <at> debbugs.gnu.org:


Received: (at 59794) by debbugs.gnu.org; 3 Dec 2022 20:32:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 03 15:32:57 2022
Received: from localhost ([127.0.0.1]:53196 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p1ZBx-0000wL-J6
	for submit <at> debbugs.gnu.org; Sat, 03 Dec 2022 15:32:57 -0500
Received: from mail-pf1-f194.google.com ([209.85.210.194]:39596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <justksqsf@HIDDEN>) id 1p1SBX-00037i-MY
 for 59794 <at> debbugs.gnu.org; Sat, 03 Dec 2022 08:04:04 -0500
Received: by mail-pf1-f194.google.com with SMTP id 140so7324049pfz.6
 for <59794 <at> debbugs.gnu.org>; Sat, 03 Dec 2022 05:04:03 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:references:message-id:content-transfer-encoding:cc:date
 :in-reply-to:from:subject:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=3nUqNmeTZP/UH5xRBGdu+6ovPBwmzz12uj44u71inME=;
 b=b0unDKeIGPo1Hqbt2uFlDiM5ta9n/tY8zy34VoA05mgFZamdexn6fjYV1omPNVGaYg
 F57KloHFqVzXHPA/PklLV7RXsLib799jbs/I9iuhsJ3T+aNhspyIyAy4GMOHJVgQgpsA
 xrRdbfzNGZPbrVAEYJwHhKnlGbUEzUgJwgBezZjegrVE+zluxq5TYT00Lcda6PLL4nVX
 LlAi1mQzGnzYrSEJyLvER1K7h7lEanM1CODaWsxN0Igc8Wa7pbmjvS1gKi1iuYBYolml
 s8BtuJGaFUF3O+Fdpxhjb4hEpIfU7PT+4/lvDRy9cJo+AhAYSRb7g/frdeSU2jxih1E7
 6sWQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:references:message-id:content-transfer-encoding:cc:date
 :in-reply-to:from:subject:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=3nUqNmeTZP/UH5xRBGdu+6ovPBwmzz12uj44u71inME=;
 b=thK54YPWKwZPcOSRFXMcSOi8KP+3t4jGqipyg4CYYYyZkBRHMrgsmmlKogHZ8GdjV9
 7bF9ZrN1cV8pVgxR/a6euMkBEDwSbRGeZ3nXiMuacSVslASRvn+FVhA7Ji0LydziDwXa
 4xVlCYQMTxlo+1JI4oB2aQbHKFa9i+mId9/ocHBmf9QGF/PbeXZDLyJl0zndaHMgIb1+
 +ADqYm4lbIPLDNVmJNEquaP0PoZCz9O8dyLedynZpZ7UizWRvLQABIR0WwCG3jbKeXGk
 zdjGGmD9GxSK0ov9EjlxeMMECIvFm60Nps3iuSJVl8G+WBjL/r9GLlcwFMBKQ94oaeiK
 TMYQ==
X-Gm-Message-State: ANoB5plwYC8jKlk1FmAAKUx+QwQPgUW1Pjtz3j8aAMLpW33nr7zxXuSd
 Ef8SHtR4YxXVIFSzqkeKb68=
X-Google-Smtp-Source: AA0mqf4pcQXncMvKE4ENdYYMli1AErP9vqL/KYMJtFj+06FPrJwScN2qAtYhUIiI2XCetYN1jt2qOw==
X-Received: by 2002:a63:1b18:0:b0:477:f21a:56b6 with SMTP id
 b24-20020a631b18000000b00477f21a56b6mr31987898pgb.25.1670072637768; 
 Sat, 03 Dec 2022 05:03:57 -0800 (PST)
Received: from smtpclient.apple (n058153170106.netvigator.com.
 [58.153.170.106]) by smtp.gmail.com with ESMTPSA id
 ik25-20020a170902ab1900b001869b988d93sm7278466plb.187.2022.12.03.05.03.55
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 03 Dec 2022 05:03:57 -0800 (PST)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3731.200.110.1.12\))
Subject: Re: bug#59794: 29.0.60; NSport segfaults when a fullscreen frame is
 being closed
From: Kai Ma <justksqsf@HIDDEN>
In-Reply-To: <983d8969-63c9-84f6-59d3-8788dee17f88@HIDDEN>
Date: Sat, 3 Dec 2022 21:03:42 +0800
Content-Transfer-Encoding: quoted-printable
Message-Id: <7ADCCFFC-F171-4D65-BE7F-AEB60648FBE7@HIDDEN>
References: <83a644eq8p.fsf@HIDDEN>
 <983d8969-63c9-84f6-59d3-8788dee17f88@HIDDEN>
To: =?utf-8?Q?Gerd_M=C3=B6llmann?= <gerd.moellmann@HIDDEN>
X-Mailer: Apple Mail (2.3731.200.110.1.12)
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 59794
X-Mailman-Approved-At: Sat, 03 Dec 2022 15:32:51 -0500
Cc: 59794 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)



> On Dec 3, 2022, at 19:44, Gerd M=C3=B6llmann =
<gerd.moellmann@HIDDEN> wrote:
>=20
> FWIW, no crash here with dd7a7633bebc4db5caca3898bf318721f1f370c8 =
(master), macOS 13.0.1, ASAN enabled.

Weird.  I tested this commit with the default configure options and it =
segfaulted.  How to enable ASAN?=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59794; Package emacs. Full text available.

Message received at 59794 <at> debbugs.gnu.org:


Received: (at 59794) by debbugs.gnu.org; 3 Dec 2022 20:32:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 03 15:32:56 2022
Received: from localhost ([127.0.0.1]:53192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p1ZBw-0000w6-HJ
	for submit <at> debbugs.gnu.org; Sat, 03 Dec 2022 15:32:56 -0500
Received: from mail-pj1-f68.google.com ([209.85.216.68]:36410)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <justksqsf@HIDDEN>) id 1p1Q4I-0007us-Sr
 for 59794 <at> debbugs.gnu.org; Sat, 03 Dec 2022 05:48:29 -0500
Received: by mail-pj1-f68.google.com with SMTP id
 q17-20020a17090aa01100b002194cba32e9so10604979pjp.1
 for <59794 <at> debbugs.gnu.org>; Sat, 03 Dec 2022 02:48:26 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=o4J3vyUaEitC/4/GCfi/BOyjOdMPROzI/UASJiA155w=;
 b=NYQUM/8ECtPHQ/OA1SPhFVDIm/u/eQ8NDtntZBT57lDk/GN/V72kt+cyqkWNBwKI9p
 JSjuk1Bc3gbyxjFeR1qXGmqoUiDsfYCRgz4fOwomBdp49419CkVBCOMWavlMFYRM5UZP
 uBSpsd9dxH/xB3y6uoK5kTOAbq9kUZ/O1sYgBhanDgTBn/O4h9u/ZwHXsc4z79Dnq354
 jeVpM0e3KDno2UdRHQpECHQ92y2aXK3c3s6c+vi7cyxsguR4eYA0Ds1fjSU9gli7+684
 RtcLOoW0mGarcTSYLQTVfwEDFxI10BrKLBGXE8zJ1T1tf0jrklnJ4hK0Uby+UYwdgUfD
 Ph0Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:to:from:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=o4J3vyUaEitC/4/GCfi/BOyjOdMPROzI/UASJiA155w=;
 b=sUw8oh0F8nq7qj81EZ8PKSNs9H+numT7qwwap7FKmXSCpJa0MiB3wXemTi7mcDzhoW
 my2xN/p51N9DFAIZHjkO6tVtkALipfqbpyXDD+Hk7/jXvEovfSFJjISwwIzElSMYs3P+
 AkBdjEFH2LUgGLz7CRbKBLRD2XVOExPBW4sHwVvAYiLUcobSC7NfsK+PAkFc5weL0PdW
 41QDlYmR6T0RpHC2HmsWyQNnL/38oc8ovB0qbh5EkqM2PenYd3S8gsB/wyU/nvanEvIp
 lCsocIlHOdvJ0NxmCX8WNv8ETaM3IyLULzSNQtLsCznyTksj4upzuWBWcd/ZCBpGUuP/
 suzA==
X-Gm-Message-State: ANoB5pn6Zsvp045SatpkiGweAykMexMKnmHexQdh0aSGwzqo8Wh8070R
 hknaitXkE2N32VHSbhPmUMU5sZ0Rgm2qvoVN
X-Google-Smtp-Source: AA0mqf6UILkLnAg3K0B/s4ZT3PS8xlvKo+75Mt3xZAPNk3dtVhvOz6TbOMr5/2Wd5nXqRr/Z2dkXDg==
X-Received: by 2002:a17:90b:3444:b0:214:e1:cabe with SMTP id
 lj4-20020a17090b344400b0021400e1cabemr58132617pjb.153.1670064500459; 
 Sat, 03 Dec 2022 02:48:20 -0800 (PST)
Received: from Kais-MacBook.local ([134.209.106.31])
 by smtp.gmail.com with ESMTPSA id
 a6-20020aa794a6000000b0056bb6dc882fsm6515024pfl.130.2022.12.03.02.48.18
 for <59794 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 03 Dec 2022 02:48:19 -0800 (PST)
From: Kai Ma <justksqsf@HIDDEN>
To: 59794 <at> debbugs.gnu.org
Subject: Re: bug#59794: Acknowledgement (29.0.60; NSport segfaults when a
 fullscreen frame is being closed)
In-Reply-To: <handler.59794.B.167005568724588.ack <at> debbugs.gnu.org> (GNU bug
 Tracking System's message of "Sat, 03 Dec 2022 08:22:02 +0000")
References: <m2mt865810.fsf@HIDDEN>
 <handler.59794.B.167005568724588.ack <at> debbugs.gnu.org>
Date: Sat, 03 Dec 2022 18:48:15 +0800
Message-ID: <m24jucvk40.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 59794
X-Mailman-Approved-At: Sat, 03 Dec 2022 15:32:51 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--=-=-=
Content-Type: text/plain

I did some investigation, but I was unable to identify the problem on
the Emacs side.

I traced the code, and found that even after [[view window] close] is
called (nsterm.m L1626), [EmacsView resetCursorRects:] can still be
invoked for that window.  To my understanding, such calls are initiated
by AppKit, not in the control of Emacs.

Also, Emacs 27 and Emacs 28 (NS) also suffer from exactly the same issue
(the same invalid access).  I was unable to reproduce it using the Mac
port.  Given the severity of segfaults, I suspect it's very likely due
to upstream Cocoa changes that only cause problems on newer versions of
macOS.

I'm currently using the trivial fix to prevent further data loss:


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Prevent-a-segfault-when-deleting-a-fullscreen-frame-.patch
Content-Description: Prevent a segfault on the NS port

From 8ea35a8099f34f482d090ea8068e89f52dcd29ac Mon Sep 17 00:00:00 2001
From: Kai Ma <justksqsf@HIDDEN>
Date: Sat, 3 Dec 2022 18:17:26 +0800
Subject: [PATCH] Prevent a segfault when deleting a fullscreen frame on
 NextStep.

* nsterm.m ([EmacsView resetCursorRects:]): Be defensive when
accessing FRAME_OUTPUT_DATA.
---
 src/nsterm.m | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/src/nsterm.m b/src/nsterm.m
index 507f2a9e7d..c09f743ec7 100644
--- a/src/nsterm.m
+++ b/src/nsterm.m
@@ -6703,8 +6703,16 @@ - (BOOL)acceptsFirstResponder
 
 - (void)resetCursorRects
 {
-  NSRect visible = [self visibleRect];
-  NSCursor *currentCursor = FRAME_POINTER_TYPE (emacsframe);
+  NSRect visible;
+  NSCursor *currentCursor;
+
+  /* On macOS 13, [resetCursorRects:] could be called even after the
+     window is closed. */
+  if (! emacsframe || ! FRAME_OUTPUT_DATA (emacsframe))
+    return;
+
+  visible = [self visibleRect];
+  currentCursor = FRAME_POINTER_TYPE (emacsframe);
   NSTRACE ("[EmacsView resetCursorRects]");
 
   if (currentCursor == nil)
-- 
2.37.1 (Apple Git-137.1)


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59794; Package emacs. Full text available.

Message received at 59794 <at> debbugs.gnu.org:


Received: (at 59794) by debbugs.gnu.org; 3 Dec 2022 13:54:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 03 08:54:06 2022
Received: from localhost ([127.0.0.1]:51697 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p1Sxw-0003aZ-NN
	for submit <at> debbugs.gnu.org; Sat, 03 Dec 2022 08:54:06 -0500
Received: from mail-ej1-f42.google.com ([209.85.218.42]:46608)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gerd.moellmann@HIDDEN>) id 1p1Sxt-0003a9-Mr
 for 59794 <at> debbugs.gnu.org; Sat, 03 Dec 2022 08:54:03 -0500
Received: by mail-ej1-f42.google.com with SMTP id bj12so17625600ejb.13
 for <59794 <at> debbugs.gnu.org>; Sat, 03 Dec 2022 05:54:01 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=in-reply-to:subject:from:references:cc:to:content-language
 :user-agent:mime-version:date:message-id:from:to:cc:subject:date
 :message-id:reply-to;
 bh=c8j2pxqsue0b35x2w+deXMDIS2Wrw90z9fpnHD3aYhw=;
 b=BuucjxUme1lTG3xDNRdrLLdn1gSwHwIL99y54cJx0yV+vE2R3LNJiSfNYMdT2PbSIr
 FRcjRPw/AsHTdh7QI0ftwyKNTVmGJRBKGAJEdfz40ZogsAK+tdpU+OEhWcEiRyKxFhIJ
 1DNOAHBI4cUP0OMKP6NCOHCuS+Hve5ljwroZ+FnbKiuKoxURZRJxU1ZulMXOHL12+lfX
 N+GpfPksL6S8R2ClKH2hzbUpaNGXYREwKvkeJoMJxj9o1K6PP3X3a4Jz8IOuFfz0OFGQ
 3MWcK+LeQZSLzphjKbgWPpmWgbAGyKsLgzsY3CaO/eU4l8FrjeQ76bp+y9kcNOg91t3L
 8Bzw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=in-reply-to:subject:from:references:cc:to:content-language
 :user-agent:mime-version:date:message-id:x-gm-message-state:from:to
 :cc:subject:date:message-id:reply-to;
 bh=c8j2pxqsue0b35x2w+deXMDIS2Wrw90z9fpnHD3aYhw=;
 b=KyB4j77vVdAPLZ3tDnlHg2UFFSoP/heaJKSgkw+7MV57csa33usJmT1rZCAG15ghT6
 FEvMoBt+tIyYdKEsB7HtWruj4YzhORbOBq1dKiY5Ij+91WuD9YIqNcJSuxoT5QzN+1GE
 jMPqlA0Bwqk+gY504y9YlMASedXtkMpaoC//silfdt3SmI6MW84/gDvyRXUmdA2PflKx
 9h7f5cVomr6naPIxlg5mE0ykRQyIv/5NVSLG8p5DSBQOrZ+h82Jpy0qx7mIvPQ10a4Vd
 pyhZYNErB9ie+aRQ/wUH3S54EWhH2Zvicrvn8PbA8SqV/7k5a7VIWxt2hhFO8Sj7iNzh
 6WuA==
X-Gm-Message-State: ANoB5pnb2VRihRgK+i5OKv+Qfq3dAr2JkZfbs3wPHjvUuE9pRBSIxGiu
 YnK2qYhQniOO/kv82urz8qE=
X-Google-Smtp-Source: AA0mqf70dtnUIj6/CmhJBlJsWbhl+UHSZvmbEl7RRJFZWuP5abA0eyGxI15M7rhz64FpZU24Fe54+Q==
X-Received: by 2002:a17:906:7f09:b0:7c0:b3a8:a5f9 with SMTP id
 d9-20020a1709067f0900b007c0b3a8a5f9mr9362195ejr.154.1670075635566; 
 Sat, 03 Dec 2022 05:53:55 -0800 (PST)
Received: from [192.168.178.21] (p4fe3abf5.dip0.t-ipconnect.de.
 [79.227.171.245]) by smtp.gmail.com with ESMTPSA id
 x11-20020aa7d6cb000000b0045b4b67156fsm3039208edr.45.2022.12.03.05.53.54
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 03 Dec 2022 05:53:54 -0800 (PST)
Content-Type: multipart/mixed; boundary="------------0D00WAan3zGJ5TQsn1D0S3L4"
Message-ID: <99841eb7-fda0-517a-2454-79b8c5e29991@HIDDEN>
Date: Sat, 3 Dec 2022 14:53:53 +0100
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:102.0)
 Gecko/20100101 Thunderbird/102.5.0
Content-Language: en-US
To: Kai Ma <justksqsf@HIDDEN>
References: <83a644eq8p.fsf@HIDDEN>
 <983d8969-63c9-84f6-59d3-8788dee17f88@HIDDEN>
 <7ADCCFFC-F171-4D65-BE7F-AEB60648FBE7@HIDDEN>
From: =?UTF-8?Q?Gerd_M=c3=b6llmann?= <gerd.moellmann@HIDDEN>
Subject: Re: bug#59794: 29.0.60; NSport segfaults when a fullscreen frame is
 being closed
In-Reply-To: <7ADCCFFC-F171-4D65-BE7F-AEB60648FBE7@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59794
Cc: 59794 <at> debbugs.gnu.org, eliz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.
--------------0D00WAan3zGJ5TQsn1D0S3L4
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit

On 03.12.22 14:03, Kai Ma wrote:
> 
> 
>> On Dec 3, 2022, at 19:44, Gerd Möllmann <gerd.moellmann@HIDDEN> wrote:
>>
>> FWIW, no crash here with dd7a7633bebc4db5caca3898bf318721f1f370c8 (master), macOS 13.0.1, ASAN enabled.
> 
> Weird.  I tested this commit with the default configure options and it segfaulted.  How to enable ASAN?

I forgot to mentions that I have an M1 here, maybe it's that.

For simplicity, I attach a crude shell script that I use for building 
Emacs.  Please search for "sanitize" in the script.  You'll have to add 
something to CFLAGS and LDFLAGS.  I'm using Xcode 14.1 for building.
--------------0D00WAan3zGJ5TQsn1D0S3L4
Content-Type: text/plain; charset=UTF-8; name="make-emacs"
Content-Disposition: attachment; filename="make-emacs"
Content-Transfer-Encoding: base64
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--------------0D00WAan3zGJ5TQsn1D0S3L4--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59794; Package emacs. Full text available.

Message received at 59794 <at> debbugs.gnu.org:


Received: (at 59794) by debbugs.gnu.org; 3 Dec 2022 11:44:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 03 06:44:19 2022
Received: from localhost ([127.0.0.1]:51616 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p1QwN-00005f-LZ
	for submit <at> debbugs.gnu.org; Sat, 03 Dec 2022 06:44:19 -0500
Received: from mail-ed1-f54.google.com ([209.85.208.54]:43769)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gerd.moellmann@HIDDEN>) id 1p1QwI-00005Z-A1
 for 59794 <at> debbugs.gnu.org; Sat, 03 Dec 2022 06:44:18 -0500
Received: by mail-ed1-f54.google.com with SMTP id r26so9612601edc.10
 for <59794 <at> debbugs.gnu.org>; Sat, 03 Dec 2022 03:44:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:content-language:subject
 :references:cc:to:user-agent:mime-version:date:message-id:from:to:cc
 :subject:date:message-id:reply-to;
 bh=ZvyLQCvO3UnICq5SiHTbxx7QzauYNCcnx0rqDGrF704=;
 b=ZGy5SXqgw7jYsS2RUTPYiLpiVS/mL/TBt2FSqlQ0cx/j1rnU3qXIQzFx325xzXur/l
 HRlo4vdXK0FpQxleFnRXyiPFnrGkwU01e8x/qUUAciju/GiTvoULmmRb0cp2pRhaHPZ+
 +3Y3ZOBg/P3057GFiLGAcKCtBZv5UFRwMfZK+KROS1uqcEHmNmUZ1SS2ufsXnoaF0NUx
 cAb5wOnUPHanGVDYqUTpXf1uXUatuQlZCw816wAW7OJpUwzESPaDD2y13qhD6OU8gruI
 FfpyiCDRibJt8yYovOHMBQfusObDM1JlG9NyC5NTGAI7ldQpB8rFOShnL+6mmvLMbKGT
 1UrA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:content-language:subject
 :references:cc:to:user-agent:mime-version:date:message-id
 :x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=ZvyLQCvO3UnICq5SiHTbxx7QzauYNCcnx0rqDGrF704=;
 b=0krhjJk45wqZ2QOQ1pynyJr+H7jfPCIc20wfirMy6wqkRuARoDQIr4Oyx+CM57WkfK
 ocAKH0Z39mKrY0BXdlLmD624EhpA8wulp6GcC0Wfwu5uHQ9PmToTtUnZ3LiBnYFSyMfT
 dqLIqjfTO5IZmY/j4SjSZ8SZ1wAFpu6YxMUzoddiLtrgkY+cSe8QpJ1vPOQwE/TECBKa
 NxNy2blj0mF7wXyprvCvs9q8UPVyhw6Xwtumx3R6t5rCWM7SEEPsKlfEV0LX9kjB7kQf
 OpkW1pmKmk6c/zP09W8zyuLLyYBeE95KfAmeikzCJBzzxnjG38fyo+JqVVoEC2m2IcFG
 eJqw==
X-Gm-Message-State: ANoB5pnKM4hzw2pZLckuALL1MFGFI72kN0/Ck7EXtq0Jzm3gS8zEX2Ks
 JBq/YuDRrQ2j5y3yrdvC+P4=
X-Google-Smtp-Source: AA0mqf7W4JTWJsxKrQfwSM/YewKvJ18NTqn/3pUgppqnjH9giYIU4z3go8nGPNAIR2PP6/WwrfU43g==
X-Received: by 2002:a05:6402:e0d:b0:466:4168:6ea7 with SMTP id
 h13-20020a0564020e0d00b0046641686ea7mr7071951edh.273.1670067848218; 
 Sat, 03 Dec 2022 03:44:08 -0800 (PST)
Received: from [192.168.178.21] (p4fe3abf5.dip0.t-ipconnect.de.
 [79.227.171.245]) by smtp.gmail.com with ESMTPSA id
 d18-20020a05640208d200b0046150ee13besm3939367edz.65.2022.12.03.03.44.06
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 03 Dec 2022 03:44:07 -0800 (PST)
Message-ID: <983d8969-63c9-84f6-59d3-8788dee17f88@HIDDEN>
Date: Sat, 3 Dec 2022 12:44:06 +0100
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:102.0)
 Gecko/20100101 Thunderbird/102.5.0
To: eliz@HIDDEN
References: <83a644eq8p.fsf@HIDDEN>
Subject: Re: bug#59794: 29.0.60; NSport segfaults when a fullscreen frame is
 being closed
Content-Language: en-US
From: =?UTF-8?Q?Gerd_M=c3=b6llmann?= <gerd.moellmann@HIDDEN>
In-Reply-To: <83a644eq8p.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59794
Cc: 59794 <at> debbugs.gnu.org, justksqsf@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

FWIW, no crash here with dd7a7633bebc4db5caca3898bf318721f1f370c8 
(master), macOS 13.0.1, ASAN enabled.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59794; Package emacs. Full text available.

Message received at 59794 <at> debbugs.gnu.org:


Received: (at 59794) by debbugs.gnu.org; 3 Dec 2022 10:28:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 03 05:28:20 2022
Received: from localhost ([127.0.0.1]:51535 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p1Pkq-0007gi-83
	for submit <at> debbugs.gnu.org; Sat, 03 Dec 2022 05:28:20 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43140)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1p1Pko-0007ga-IT
 for 59794 <at> debbugs.gnu.org; Sat, 03 Dec 2022 05:28:18 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1p1Pkj-0005Se-Au; Sat, 03 Dec 2022 05:28:13 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Bogjuq8S39YaBXuPWTQNPSv0nnh6xqMtYxlXcUazbKk=; b=W0Y66W7Mdqs5
 yAa3ZHOr2Hbk/JfkXxGW+Rl9A7uIhOnjuUl4uSfhB+k43UcpU8V1Rcw4B/lmYFX0YP7v0UdIgxtUN
 dlygZBRBbbBPo6qH5CIW/R56XNNt6gUanJnDCG1BRHPOFjSmLLlI8yaBkdVmkcE0UEfX8S5v5vsZ9
 0REGWTzZAO2NlIyppRnOMCBOMM0NdCQrIC6r5+xOjDshSAadT+iGSUEnBXF/37YqrHM92pBhDrMvo
 W76xPpIJslMZjjgYYmMps8VrCS7kwYPgjwXO1vZ7tkbBkdoz+cpWhGyA056Z0OT5OfiZdbDuNlj5H
 p6lPwu2XtyBaZmIdY410OQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1p1Pki-0003HQ-0c; Sat, 03 Dec 2022 05:28:12 -0500
Date: Sat, 03 Dec 2022 12:27:50 +0200
Message-Id: <83a644eq8p.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Kai Ma <justksqsf@HIDDEN>
In-Reply-To: <m2mt865810.fsf@HIDDEN> (message from Kai Ma on Fri, 02 Dec
 2022 20:01:31 +0800)
Subject: Re: bug#59794: 29.0.60;
 NSport segfaults when a fullscreen frame is being closed
References: <m2mt865810.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59794
Cc: 59794 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Kai Ma <justksqsf@HIDDEN>
> Date: Fri, 02 Dec 2022 20:01:31 +0800
> 
> 
> Emacs segfaults when a fullscreen frame is being deleted.
> 
> Steps to reproduce on emacs -Q:
> 
> 1. Launch an emacs instance.  The default frame should be in the window
>    mode for now.
> 
> 2. C-x 5 2
> 
> 3. In the new frame, M-x toggle-frame-fullscreen.
> 
> 4. In the new frame, C-x 5 0 to delete the frame.
> 
> Emacs then segfaults.

It doesn't segfault on MS-Windows, so I guess this is NS-specific.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59794; Package emacs. Full text available.

Message received at 59794 <at> debbugs.gnu.org:


Received: (at 59794) by debbugs.gnu.org; 3 Dec 2022 10:09:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 03 05:09:20 2022
Received: from localhost ([127.0.0.1]:51517 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p1PSR-0007Vw-U9
	for submit <at> debbugs.gnu.org; Sat, 03 Dec 2022 05:09:20 -0500
Received: from sonic303-21.consmr.mail.ne1.yahoo.com ([66.163.188.147]:34446)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1p1PSO-0007Vq-8j
 for 59794 <at> debbugs.gnu.org; Sat, 03 Dec 2022 05:09:18 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1670062148; bh=iezTSD3v7cqk+OwJ2JOJT6ckTUNAcd/NLzEbQGaTEPU=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=gs/kpC0sPndam18mZJJQK/PWEM0OsdG67TqFsz0QD5meIonqvA0PxMvFH1soAcSiS7MHb5IzcB9JM6CbT4U2OsAVTanB4py+Q++H2HmlY6rYIz4HTVRPwzB+j+0Xjmc+NqxOdQWhL+KlgCXkt0pgbBtPxmzre5BkNcbBVx7QDKcUdPfu9JpNltuPjW6xlZEgfXt5T1GzV1uIBRo7jK9PpYWpUhwiZLkqI4+8X94h5TMXEcwWU6SKiPmJW/y3w+TDwoQkJdnaegDmGxX96LjGtSlgFBjgkez9u6NYarY0QPmJ1aLYkj0u6Smedx1PUdQ0YRAPqSh6my1ndhrcj/vqbA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1670062148; bh=HtGkKEk2JmBcSkEd53239mlhHujGtXl42h8J8bSNykQ=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=UeICJu2UlY7nyAN8qE2e71HfD2SLklnE+musZYTUMh8CrbxlyS6x3pppBEkh/8M3Mw2u3Kr9XdSWWRdJn5b41Sq/4bG+NJpt85twJk2WupkHsb/2FLMZm/xPZZJLAoC48W7CNnQr8aivK9T59ekxZ14gFi4dErs/PxbhHse5hCXCOsrESHD69PVrOWc7huHIe0TfbESvNK/0tTvv3r6WX4tWYtvMz3yE8N27h8vJlwxN1eibMm8hLbVFVPyiyrisKLYTXC9jPhLho4/uFjJgkbHV7SPQ+9HAA/ctR+lEtp+v9+bhqmU9B60e7sndUEiruFmDBYbs6w3lK5wdOVhWSw==
X-YMail-OSG: SBagoMMVM1mhzKYsR5vHn81WTxjosR_tl_THDy4V4QxB10eoYCO3E402kXdMJA9
 8m.8oQVFDhYRh03WM5qRnncYgbcvfLSGlgQqTSoDGGbDRedeyUuykxGToDZKOtqBoBX6cktbwir9
 j0xoAM8__Q4aTa9s85uPEy5O9pkZes35uFDZJWKx3jJ3.baOByjhegyde.vXTGxzhecmVQdFCM_B
 FjTKHZ1mopaLw2gaJCjpO1BY47abVbJJ2EojtR.yLeRB46W8SlzgjgDi60oIhMIT9zd_pDe5DDo4
 eqnjd.zMDKojAfm9piImDJ6P.81kXGEejK2Ej9LzpgtHNHb0mFNRmW9D_ux2RunKYa_axnf5vQCV
 Vf7hZzOxr_6pmEPhaHjuESWhQXih6pudwq.iu8SPupPgNXRVQwIUe0MHAJ1b_kO7LBGwF7pcl5wN
 dBLu08PI0bzDByCrGgqyASxWwK1MLRRI0sYaZMc5V3Jwm0p.rRKVj6Rh_6qTNMCHI.nei77fZc13
 M0Y5HqzdDERtYMJMA8.wRMshSdKEFhJyZuOMKlnyo75mlIdPyvzVloz9A6QWdQcQTsQpB0c6lT41
 vvGrqxiZxFAVvMlM..hbTC0r4lVQkNjz8pRqUcV20dOdnXqguf5WCHrGx2ufbnnj6.ghUqgKzH_s
 _uVxkbvYDXhqV90BKp4BJeCQt.NVjRgmMlB1dESk7wdc4eX4zBhWQ.dEPFYJFdk01rIOJj9XL4dh
 .1VctCpQIr8lKc8zVfOvo1cKrkClYp9BanXCCPmQLpRk1WPxbSWax4IcwQL13CfjNT.sHFDtSUhQ
 qZoj2xGCFL5OHq0nY0jPTWztwfgkWDRe8.1wYzNouepKyNsc4wsCMm6QI7F_xWjzbMbNXPIflAiA
 YQXYb9lQ2fFC0whmrw1GpQhzJ0BAeYgJGZSLUQ9ArKTknY3L74hPU8enEXVX1iGCNUjnNH.IDfQH
 hH8.EETzPJAIbY5XwhFBs8h9HtV9h1PStKsUWcJysXdfRLt.WVd95XuhGt7yzre4XpgMxrc631vi
 nOGp5ZPQ3GTE2KD6vQvadcOJt0y8xXjZK9LJNEbPfSeDbkiTjqAm4hFlaF8yYJe5wJo61W5HLlce
 hRwvF.xqUvDhA28AHECLS_aVl_1DxdWx0ow6qZlMBUnczNFw1KtUo5yfFImNNSioBiiDrjorCaN4
 UvV043korv9ZgLrL4OPBPjpDjLdKrdcixXM7_QezITF0FrftA5x0zYb.KC37p2otU1ZD95FAc3ZH
 AR3UqnMjnX7UDe.lHcK3ODV6fmWv0b647jOiC4zmwWjweoqUL4_pZJo25PUsvHw.UWTWLAga7Lqn
 iu7V4Jc_vd5WiBpZ0tHmzvM73GbVku1ecNfxul7SUA_BgglhloghlyQCvVjN79vwVfGROvaw26NY
 Y2tTPJdyBH6TngvhbRRQY6w14wLsYbT8KZBI.FCEb7jMK_ZpbXfvUc7b6dTHhWHyTFi2llcye7DQ
 xxrXOKJ9k_WE_X0T4XLbT9.vz4RkRqW5_ufrn7WBEVy1etNyL9PziFWmBjoCu0ki_bUmwJeh_cbY
 WrRQeNDa2sFkCV7yBTikZOx38qzR3eUF4PlwT_I9HJsnTICXGR88kYbZfMBDRXxmGbm1zSii.ccX
 hgvXdrCMApZ7qS.t92o8IO8wpspiK98zqycke6M7d9DG5kw3W_pOljONJma5AHjg581wNzvYS4Jq
 PrKye8X2nl5LKfQKLHQGs0juJnSrYiDlAqFEG8CJyIzR8pBk2b7b8W0QgV.yr4TxSu_gHsjpWOVR
 YZgFs6wOJQOdvCx4rZ_GwdjMNDdjbUBy_1k5qYotkPi6t8_28ROYGs2zppHZN6oueLL2fsw96HKx
 jzBrdORS4a5gZQYioWWYp6nIEfcqiGf3mMwH7k.CBCW8.w4mCBMgCjU4pYsBxAOonvcmlnlfD48q
 T1QVzcvQ5rIPqzkEWqO1.qcnZ.m6tLjqJmZoLXe3HRtSEdNPSA35NC2mxyqqoy6AOrXl3aqluKB9
 k2JAwRpg2QvmBY9vlWmq1cwfHVMAA7f6EJffm5_LfmmNqgTEFptE7X9zu7VLqiZwJblxQTovbtKd
 J8SNH4uYuoVNGv31Z3fATsxKdY7VVZgY9tqFmlZaPh08vbo0qWuvG.IbVjZn8jaEW_Jj2Ma5FX4y
 okAxn4pmyVr.ZWhscoFckw5BULVHF0F4awi1Fc5Qt9kAtSVOdcNyhC_aBdN37fC_j1p_yx0vK0ca
 W9xnRniaFxNYSgZGHDkLijE8AFweo_54ooaYm0tS2Bm_PmFkb4pzDQLwjU2z7FWgMNaw-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic303.consmr.mail.ne1.yahoo.com with HTTP; Sat, 3 Dec 2022 10:09:08 +0000
Received: by hermes--production-sg3-b666c6484-4bg7k (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID e8640fcaece3c31795a798b3f822bc5e; 
 Sat, 03 Dec 2022 10:09:02 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Kai Ma <justksqsf@HIDDEN>
Subject: Re: bug#59794: 29.0.60; NSport segfaults when a fullscreen frame is
 being closed
In-Reply-To: <m2mt865810.fsf@HIDDEN> (Kai Ma's message of "Fri, 02 Dec 2022
 20:01:31 +0800")
References: <m2mt865810.fsf@HIDDEN>
Date: Sat, 03 Dec 2022 18:08:56 +0800
Message-ID: <87r0xgre87.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20926
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 4307
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59794
Cc: 59794 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Kai Ma <justksqsf@HIDDEN> writes:

> Emacs segfaults when a fullscreen frame is being deleted.
>
> Steps to reproduce on emacs -Q:
>
> 1. Launch an emacs instance.  The default frame should be in the window
>    mode for now.
>
> 2. C-x 5 2
>
> 3. In the new frame, M-x toggle-frame-fullscreen.
>
> 4. In the new frame, C-x 5 0 to delete the frame.
>
> Emacs then segfaults.
>
> LLDB trace:
>
> * thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0xc0)
>     frame #0: 0x0000000100238ed5 emacs`-[EmacsView resetCursorRects](self=0x0000000102e3ddd0, _cmd=<unavailable>) at nsterm.m:6707:29 [opt]
>    6704	- (void)resetCursorRects
>    6705	{
>    6706	  NSRect visible = [self visibleRect];
> -> 6707	  NSCursor *currentCursor = FRAME_POINTER_TYPE (emacsframe);
>    6708	  NSTRACE ("[EmacsView resetCursorRects]");
>    6709
>    6710	  if (currentCursor == nil)
> Target 0: (emacs) stopped.
> warning: emacs was compiled with optimization - stepping may behave oddly; variables may not be available.
> (lldb) bt
> * thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0xc0)
>   * frame #0: 0x0000000100238ed5 emacs`-[EmacsView resetCursorRects](self=0x0000000102e3ddd0, _cmd=<unavailable>) at nsterm.m:6707:29 [opt]
>     frame #1: 0x00007ff819be1b95 AppKit`-[_NSTrackingAreaAKViewHelper updateTrackingAreasWithInvalidCursorRects:] + 357
>     frame #2: 0x00007ff819e520f0 AppKit`_NSViewSubViewMutationSafeApply + 227
>     frame #3: 0x00007ff819be1c53 AppKit`-[_NSTrackingAreaAKViewHelper updateTrackingAreasWithInvalidCursorRects:] + 547
>     frame #4: 0x00007ff819e520f0 AppKit`_NSViewSubViewMutationSafeApply + 227
>     frame #5: 0x00007ff819be1c53 AppKit`-[_NSTrackingAreaAKViewHelper updateTrackingAreasWithInvalidCursorRects:] + 547
>     frame #6: 0x00007ff819bdfddf AppKit`-[_NSTrackingAreaAKManager displayCycleUpdateStructuralRegions] + 227
>     frame #7: 0x00007ff8195f4a84 AppKit`__NSWindowGetDisplayCycleObserverForUpdateStructuralRegions_block_invoke + 390
>     frame #8: 0x00007ff8195ef701 AppKit`NSDisplayCycleObserverInvoke + 142
>     frame #9: 0x00007ff8195ef331 AppKit`NSDisplayCycleFlush + 878
>     frame #10: 0x00007ff81de68f46 QuartzCore`CA::Transaction::run_commit_handlers(CATransactionPhase) + 98
>     frame #11: 0x00007ff81de67a10 QuartzCore`CA::Transaction::commit() + 380
>     frame #12: 0x00007ff81968cedf AppKit`__62+[CATransaction(NSCATransaction) NS_setFlushesWithDisplayLink]_block_invoke + 285
>     frame #13: 0x00007ff819ea3513 AppKit`___NSRunLoopObserverCreateWithHandler_block_invoke + 41
>     frame #14: 0x00007ff81640d0e2 CoreFoundation`__CFRUNLOOP_IS_CALLING_OUT_TO_AN_OBSERVER_CALLBACK_FUNCTION__ + 23
>     frame #15: 0x00007ff81640d00a CoreFoundation`__CFRunLoopDoObservers + 482
>     frame #16: 0x00007ff81640c590 CoreFoundation`__CFRunLoopRun + 870
>     frame #17: 0x00007ff81640bbb0 CoreFoundation`CFRunLoopRunSpecific + 560
>     frame #18: 0x00007ff81fcedbd6 HIToolbox`RunCurrentEventLoopInMode + 292
>     frame #19: 0x00007ff81fced9e6 HIToolbox`ReceiveNextEventCommon + 679
>     frame #20: 0x00007ff81fced723 HIToolbox`_BlockUntilNextEventMatchingListInModeWithFilter + 70
>     frame #21: 0x00007ff81952eb37 AppKit`_DPSNextEvent + 909
>     frame #22: 0x00007ff81952d9b8 AppKit`-[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 1219
>     frame #23: 0x00007ff81951fff3 AppKit`-[NSApplication run] + 586
>     frame #24: 0x000000010023680d emacs`-[EmacsApp run](self=0x0000000102e09540, _cmd=<unavailable>) at nsterm.m:5818:7 [opt]
>     frame #25: 0x0000000100235395 emacs`ns_select_1(nfds=0, readfds=0x00007ff7bfefdcb0, writefds=0x00007ff7bfefdc00, exceptfds=0x0000000000000000, timeout=0x00007ff7bfefddb0, sigmask=0x0000000000000000, run_loop_only=NO) at nsterm.m:4833:3 [opt]
>     frame #26: 0x0000000100234f54 emacs`ns_select(nfds=<unavailable>, readfds=<unavailable>, writefds=<unavailable>, exceptfds=<unavailable>, timeout=<unavailable>, sigmask=<unavailable>) at nsterm.m:4885:10 [opt]

This time I cannot reproduce the bug on GNUstep.

It looks as if a reference to the EmacsFrame is being kept even after
the frame has been destroyed.  Would someone who knows what
`NSView resetCursorRects' does in Mac OS speak up?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59794; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Dec 2022 08:21:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 03 03:21:27 2022
Received: from localhost ([127.0.0.1]:51375 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p1Nm0-0006OV-Ua
	for submit <at> debbugs.gnu.org; Sat, 03 Dec 2022 03:21:27 -0500
Received: from lists.gnu.org ([209.51.188.17]:59858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <justksqsf@HIDDEN>) id 1p14k5-0002IE-DL
 for submit <at> debbugs.gnu.org; Fri, 02 Dec 2022 07:02:11 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <justksqsf@HIDDEN>)
 id 1p14jh-0002CN-6u
 for bug-gnu-emacs@HIDDEN; Fri, 02 Dec 2022 07:01:48 -0500
Received: from mail-pl1-x643.google.com ([2607:f8b0:4864:20::643])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <justksqsf@HIDDEN>)
 id 1p14jb-00029V-Vw
 for bug-gnu-emacs@HIDDEN; Fri, 02 Dec 2022 07:01:44 -0500
Received: by mail-pl1-x643.google.com with SMTP id jl24so4433624plb.8
 for <bug-gnu-emacs@HIDDEN>; Fri, 02 Dec 2022 04:01:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:subject:to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=7CAMpcZGIMrc0JHWZ+/4ZVEU/H9iRFb5gcWj6JBKiwc=;
 b=OsBi9HZ+BYW/XYZNk9j8+ZdrOdOlB9Xl9HLShfeJ+57uiJldb8448D7aA5Zqm0+cR1
 A8bHbJ/Z746hFA7cUDQGuT2ix7pvblSj6MG7Qg8uRiwyA5mm1FpFW9Vc/HZ++fEljoe4
 QaAVkzXqxHxg1fCox0u8F1oxCd+RJeXuh7oT34QcEsHQqlsRafRYe+YEDAeoaKclf6DY
 YQMrN33j0m31XVtl2iQR0FmRmuuuCTC4PgUzk/a5YodAdX7hdlq18b0DXSwGt6RV0XyB
 H16Qw9mypc+uuzJt16zLLYVg22Ed/bK6CqgYly1y3gD0Da9WpZ+P5oYObwCR6OVWtaQ0
 D3Yw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:subject:to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=7CAMpcZGIMrc0JHWZ+/4ZVEU/H9iRFb5gcWj6JBKiwc=;
 b=MvXFgSaikX5inZzz5IFWqvMuXQk8Yms5GvcpVMU+UV+enh/XHjFB8DMaD0gpkVB4dS
 S0FioZLXNgwmeuz2s9c1IkII8k4680KplvYT+83dToI4zgCAp6uqAV50ljuxbmebmJ06
 PGwMKCbOrHLrwLJzdNSCJMsyxC9i5aNDrrS6lLbMOXjBr0Ixey/S7TnR16oE2Ui7j6SZ
 KRMr84u0SnSDP1eqvGN0caTn1hXe+U9YTReCZ9uTLADLDvaBLHA8moWw4GmGzGQ8vPoV
 t+N3ald+u/nhP+eYmtJefRCOE+JfiRMEG6UBcvqMwjGpIuJle23NWy2R7aqCiqaztyxg
 rrBg==
X-Gm-Message-State: ANoB5pk8+bzrzQ//9vbNfba5GwJ2EgjjkPxIONUAkikgSLmH/z4MY+1U
 cU6Sda/7zx1LDGBcQnTR65EifDpGHGMkMXTC
X-Google-Smtp-Source: AA0mqf4S5nLneAypVbO6/S8jpgmmWX3bfZYAJ1ueVhcqJV5O407FOsZIIHIHdtcIQ32lyyHavY498Q==
X-Received: by 2002:a17:90a:4302:b0:20a:e469:dc7d with SMTP id
 q2-20020a17090a430200b0020ae469dc7dmr72801483pjg.97.1669982496579; 
 Fri, 02 Dec 2022 04:01:36 -0800 (PST)
Received: from Kais-MacBook.local ([134.209.106.31])
 by smtp.gmail.com with ESMTPSA id
 i9-20020a17090a058900b00210039560c0sm6423039pji.49.2022.12.02.04.01.34
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 02 Dec 2022 04:01:35 -0800 (PST)
From: Kai Ma <justksqsf@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.60; NSport segfaults when a fullscreen frame is being closed
Date: Fri, 02 Dec 2022 20:01:31 +0800
Message-ID: <m2mt865810.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2607:f8b0:4864:20::643;
 envelope-from=justksqsf@HIDDEN; helo=mail-pl1-x643.google.com
X-Spam_score_int: -15
X-Spam_score: -1.6
X-Spam_bar: -
X-Spam_report: (-1.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 FROM_LOCAL_NOVOWEL=0.5, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 03 Dec 2022 03:21:23 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)


Emacs segfaults when a fullscreen frame is being deleted.

Steps to reproduce on emacs -Q:

1. Launch an emacs instance.  The default frame should be in the window
   mode for now.

2. C-x 5 2

3. In the new frame, M-x toggle-frame-fullscreen.

4. In the new frame, C-x 5 0 to delete the frame.

Emacs then segfaults.

LLDB trace:

* thread #1, queue =3D 'com.apple.main-thread', stop reason =3D EXC_BAD_ACC=
ESS (code=3D1, address=3D0xc0)
    frame #0: 0x0000000100238ed5 emacs`-[EmacsView resetCursorRects](self=
=3D0x0000000102e3ddd0, _cmd=3D<unavailable>) at nsterm.m:6707:29 [opt]
   6704	- (void)resetCursorRects
   6705	{
   6706	  NSRect visible =3D [self visibleRect];
-> 6707	  NSCursor *currentCursor =3D FRAME_POINTER_TYPE (emacsframe);
   6708	  NSTRACE ("[EmacsView resetCursorRects]");
   6709
   6710	  if (currentCursor =3D=3D nil)
Target 0: (emacs) stopped.
warning: emacs was compiled with optimization - stepping may behave oddly; =
variables may not be available.
(lldb) bt
* thread #1, queue =3D 'com.apple.main-thread', stop reason =3D EXC_BAD_ACC=
ESS (code=3D1, address=3D0xc0)
  * frame #0: 0x0000000100238ed5 emacs`-[EmacsView resetCursorRects](self=
=3D0x0000000102e3ddd0, _cmd=3D<unavailable>) at nsterm.m:6707:29 [opt]
    frame #1: 0x00007ff819be1b95 AppKit`-[_NSTrackingAreaAKViewHelper updat=
eTrackingAreasWithInvalidCursorRects:] + 357
    frame #2: 0x00007ff819e520f0 AppKit`_NSViewSubViewMutationSafeApply + 2=
27
    frame #3: 0x00007ff819be1c53 AppKit`-[_NSTrackingAreaAKViewHelper updat=
eTrackingAreasWithInvalidCursorRects:] + 547
    frame #4: 0x00007ff819e520f0 AppKit`_NSViewSubViewMutationSafeApply + 2=
27
    frame #5: 0x00007ff819be1c53 AppKit`-[_NSTrackingAreaAKViewHelper updat=
eTrackingAreasWithInvalidCursorRects:] + 547
    frame #6: 0x00007ff819bdfddf AppKit`-[_NSTrackingAreaAKManager displayC=
ycleUpdateStructuralRegions] + 227
    frame #7: 0x00007ff8195f4a84 AppKit`__NSWindowGetDisplayCycleObserverFo=
rUpdateStructuralRegions_block_invoke + 390
    frame #8: 0x00007ff8195ef701 AppKit`NSDisplayCycleObserverInvoke + 142
    frame #9: 0x00007ff8195ef331 AppKit`NSDisplayCycleFlush + 878
    frame #10: 0x00007ff81de68f46 QuartzCore`CA::Transaction::run_commit_ha=
ndlers(CATransactionPhase) + 98
    frame #11: 0x00007ff81de67a10 QuartzCore`CA::Transaction::commit() + 380
    frame #12: 0x00007ff81968cedf AppKit`__62+[CATransaction(NSCATransactio=
n) NS_setFlushesWithDisplayLink]_block_invoke + 285
    frame #13: 0x00007ff819ea3513 AppKit`___NSRunLoopObserverCreateWithHand=
ler_block_invoke + 41
    frame #14: 0x00007ff81640d0e2 CoreFoundation`__CFRUNLOOP_IS_CALLING_OUT=
_TO_AN_OBSERVER_CALLBACK_FUNCTION__ + 23
    frame #15: 0x00007ff81640d00a CoreFoundation`__CFRunLoopDoObservers + 4=
82
    frame #16: 0x00007ff81640c590 CoreFoundation`__CFRunLoopRun + 870
    frame #17: 0x00007ff81640bbb0 CoreFoundation`CFRunLoopRunSpecific + 560
    frame #18: 0x00007ff81fcedbd6 HIToolbox`RunCurrentEventLoopInMode + 292
    frame #19: 0x00007ff81fced9e6 HIToolbox`ReceiveNextEventCommon + 679
    frame #20: 0x00007ff81fced723 HIToolbox`_BlockUntilNextEventMatchingLis=
tInModeWithFilter + 70
    frame #21: 0x00007ff81952eb37 AppKit`_DPSNextEvent + 909
    frame #22: 0x00007ff81952d9b8 AppKit`-[NSApplication(NSEvent) _nextEven=
tMatchingEventMask:untilDate:inMode:dequeue:] + 1219
    frame #23: 0x00007ff81951fff3 AppKit`-[NSApplication run] + 586
    frame #24: 0x000000010023680d emacs`-[EmacsApp run](self=3D0x0000000102=
e09540, _cmd=3D<unavailable>) at nsterm.m:5818:7 [opt]
    frame #25: 0x0000000100235395 emacs`ns_select_1(nfds=3D0, readfds=3D0x0=
0007ff7bfefdcb0, writefds=3D0x00007ff7bfefdc00, exceptfds=3D0x0000000000000=
000, timeout=3D0x00007ff7bfefddb0, sigmask=3D0x0000000000000000, run_loop_o=
nly=3DNO) at nsterm.m:4833:3 [opt]
    frame #26: 0x0000000100234f54 emacs`ns_select(nfds=3D<unavailable>, rea=
dfds=3D<unavailable>, writefds=3D<unavailable>, exceptfds=3D<unavailable>, =
timeout=3D<unavailable>, sigmask=3D<unavailable>) at nsterm.m:4885:10 [opt]
    frame #27: 0x00000001001e69b4 emacs`wait_reading_process_output(time_li=
mit=3D<unavailable>, nsecs=3D<unavailable>, read_kbd=3D-1, do_display=3Dtru=
e, wait_for_cell=3D0x0000000000000000, wait_proc=3D<unavailable>, just_wait=
_proc=3D0) at process.c:5689:18 [opt]
    frame #28: 0x000000010000a705 emacs`sit_for(timeout=3D<unavailable>, re=
ading=3Dtrue, display_option=3D1) at dispnew.c:6252:7 [opt]
    frame #29: 0x00000001000f7b3a emacs`read_char(commandflag=3D1, map=3D0x=
00000001071456f3, prev_event=3D0x0000000000000000, used_mouse_menu=3D0x0000=
7ff7bfefe5df, end_time=3D0x0000000000000000) at keyboard.c:2872:11 [opt]
    frame #30: 0x00000001000f3d14 emacs`read_key_sequence(keybuf=3D<unavail=
able>, prompt=3D0x0000000000000000, dont_downcase_last=3Dfalse, can_return_=
switch_frame=3D<unavailable>, fix_current_buffer=3Dtrue, prevent_redisplay=
=3D<unavailable>) at keyboard.c:10074:12 [opt]
    frame #31: 0x00000001000f1d99 emacs`command_loop_1 at keyboard.c:1376:1=
5 [opt]
    frame #32: 0x000000010018abf7 emacs`internal_condition_case(bfun=3D(ema=
cs`command_loop_1 at keyboard.c:1270), handlers=3D<unavailable>, hfun=3D(em=
acs`cmd_error at keyboard.c:928)) at eval.c:1474:25 [opt]
    frame #33: 0x00000001000f19ce emacs`command_loop_2(handlers=3D0x0000000=
000000090) at keyboard.c:1125:11 [opt]
    frame #34: 0x000000010018a4c1 emacs`internal_catch(tag=3D<unavailable>,=
 func=3D(emacs`command_loop_2 at keyboard.c:1121), arg=3D0x0000000000000090=
) at eval.c:1197:25 [opt]
    frame #35: 0x0000000100278ae8 emacs`recursive_edit_1.cold.1 at keyboard=
.c:1103:2 [opt]
    frame #36: 0x00000001000f127d emacs`recursive_edit_1 [inlined] command_=
loop at keyboard.c:1100:5 [opt]
    frame #37: 0x00000001000f1278 emacs`recursive_edit_1 at keyboard.c:712:=
9 [opt]
    frame #38: 0x00000001000f13f3 emacs`Frecursive_edit at keyboard.c:795:3=
 [opt]
    frame #39: 0x00000001000f039d emacs`main(argc=3D<unavailable>, argv=3D0=
x00007ff7bfefed40) at emacs.c:2523:3 [opt]
    frame #40: 0x00007ff816002310 dyld`start + 2432


The trace generated by MacOS is attached below.

--8<---------------cut here---------------start------------->8---
-------------------------------------
Translated Report (Full Report Below)
-------------------------------------

Process:               emacs [1499]
Path:                  /Users/USER/*/emacs
Identifier:            emacs
Version:               ???
Code Type:             X86-64 (Native)
Parent Process:        zsh [98663]
Responsible:           iTerm2 [85335]
User ID:               501

Date/Time:             2022-12-02 19:51:08.8088 +0800
OS Version:            macOS 13.0.1 (22A400)
Report Version:        12
Bridge OS Version:     7.0 (20P420)
Anonymous UUID:        8D5E2A2D-26F7-7169-F0E7-FCBCC909E77F

Sleep/Wake UUID:       E052EC9A-66FD-4AD3-B1B1-1FD2DF7D8528

Time Awake Since Boot: 600000 seconds
Time Since Wake:       1920 seconds

System Integrity Protection: disabled

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_BAD_ACCESS (SIGABRT)
Exception Codes:       KERN_INVALID_ADDRESS at 0x00000000000000c0
Exception Codes:       0x0000000000000001, 0x00000000000000c0

VM Region Info: 0xc0 is not in any region.  Bytes before following region: =
140737487863616
      REGION TYPE                    START - END         [ VSIZE] PRT/MAX S=
HRMOD  REGION DETAIL
      UNUSED SPACE AT START
--->=20=20
      shared memory            7ffffff88000-7ffffff89000 [    4K] r-x/r-x S=
M=3DSHM=20=20

Thread 0 Crashed::  Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	    0x7ff8162fb30e __pthread_kill + 10
1   libsystem_pthread.dylib       	    0x7ff816332f7b pthread_kill + 263
2   libsystem_c.dylib             	    0x7ff81623f530 raise + 26
3   emacs                         	       0x101b026e7 terminate_due_to_sign=
al + 167 (emacs.c:464)
4   emacs                         	       0x101b0301b emacs_abort + 15 (sys=
dep.c:2313)
5   emacs                         	       0x101ac0672 ns_term_shutdown + 16=
2 (nsterm.m:5765)
6   emacs                         	       0x101977e93 shut_down_emacs + 339=
 (emacs.c:3009)
7   emacs                         	       0x101b026b5 terminate_due_to_sign=
al + 117 (emacs.c:447)
8   emacs                         	       0x10199f9fe handle_fatal_signal +=
 14 (sysdep.c:1783)
9   emacs                         	       0x10199fa81 deliver_thread_signal=
 + 129 (sysdep.c:1775)
10  emacs                         	       0x10199ddb9 deliver_fatal_thread_=
signal + 9 (sysdep.c:1795)
11  libsystem_platform.dylib      	    0x7ff81635dc1d _sigtramp + 29
12  ???                           	    0x600003c2d590 ???
13  AppKit                        	    0x7ff819be1b95 -[_NSTrackingAreaAKVi=
ewHelper updateTrackingAreasWithInvalidCursorRects:] + 357
14  AppKit                        	    0x7ff819e520f0 _NSViewSubViewMutatio=
nSafeApply + 227
15  AppKit                        	    0x7ff819be1c53 -[_NSTrackingAreaAKVi=
ewHelper updateTrackingAreasWithInvalidCursorRects:] + 547
16  AppKit                        	    0x7ff819e520f0 _NSViewSubViewMutatio=
nSafeApply + 227
17  AppKit                        	    0x7ff819be1c53 -[_NSTrackingAreaAKVi=
ewHelper updateTrackingAreasWithInvalidCursorRects:] + 547
18  AppKit                        	    0x7ff819bdfddf -[_NSTrackingAreaAKMa=
nager displayCycleUpdateStructuralRegions] + 227
19  AppKit                        	    0x7ff8195f4a84 __NSWindowGetDisplayC=
ycleObserverForUpdateStructuralRegions_block_invoke + 390
20  AppKit                        	    0x7ff8195ef701 NSDisplayCycleObserve=
rInvoke + 142
21  AppKit                        	    0x7ff8195ef331 NSDisplayCycleFlush +=
 878
22  QuartzCore                    	    0x7ff81de68f46 CA::Transaction::run_=
commit_handlers(CATransactionPhase) + 98
23  QuartzCore                    	    0x7ff81de67a10 CA::Transaction::comm=
it() + 380
24  AppKit                        	    0x7ff81968cedf __62+[CATransaction(N=
SCATransaction) NS_setFlushesWithDisplayLink]_block_invoke + 285
25  AppKit                        	    0x7ff819ea3513 ___NSRunLoopObserverC=
reateWithHandler_block_invoke + 41
26  CoreFoundation                	    0x7ff81640d0e2 __CFRUNLOOP_IS_CALLIN=
G_OUT_TO_AN_OBSERVER_CALLBACK_FUNCTION__ + 23
27  CoreFoundation                	    0x7ff81640d00a __CFRunLoopDoObserver=
s + 482
28  CoreFoundation                	    0x7ff81640c590 __CFRunLoopRun + 870
29  CoreFoundation                	    0x7ff81640bbb0 CFRunLoopRunSpecific =
+ 560
30  HIToolbox                     	    0x7ff81fcedbd6 RunCurrentEventLoopIn=
Mode + 292
31  HIToolbox                     	    0x7ff81fced806 ReceiveNextEventCommo=
n + 199
32  HIToolbox                     	    0x7ff81fced723 _BlockUntilNextEventM=
atchingListInModeWithFilter + 70
33  AppKit                        	    0x7ff81952eb37 _DPSNextEvent + 909
34  AppKit                        	    0x7ff81952d9b8 -[NSApplication(NSEve=
nt) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 1219
35  AppKit                        	    0x7ff81951fff3 -[NSApplication run] =
+ 586
36  emacs                         	       0x101ac080d -[EmacsApp run] + 333=
 (nsterm.m:5818)
37  emacs                         	       0x101ad72bd ns_read_socket_1 + 68=
5 (nsterm.m:4698)
38  emacs                         	       0x101988d50 gobble_input + 272 (k=
eyboard.c:7417)
39  emacs                         	       0x10198cb2b get_input_pending + 1=
50 (keyboard.c:7373) [inlined]
40  emacs                         	       0x10198cb2b detect_input_pending =
+ 219 (keyboard.c:10877)
41  emacs                         	       0x101a704fd wait_reading_process_=
output + 3613 (process.c:5563)
42  emacs                         	       0x101894705 sit_for + 437 (dispne=
w.c:6252)
43  emacs                         	       0x101981b3a read_char + 7034 (key=
board.c:2872)
44  emacs                         	       0x10197dd14 read_key_sequence + 1=
620 (keyboard.c:10074)
45  emacs                         	       0x10197bd99 command_loop_1 + 953 =
(keyboard.c:1376)
46  emacs                         	       0x101a14bf7 internal_condition_ca=
se + 87 (eval.c:1474)
47  emacs                         	       0x10197b9ce command_loop_2 + 46 (=
keyboard.c:1125)
48  emacs                         	       0x101a144c1 internal_catch + 81 (=
eval.c:1197)
49  emacs                         	       0x101b02ae8 recursive_edit_1.cold=
.1 + 72 (keyboard.c:1103)
50  emacs                         	       0x10197b27d command_loop + 5 (key=
board.c:1100) [inlined]
51  emacs                         	       0x10197b27d recursive_edit_1 + 33=
3 (keyboard.c:712)
52  emacs                         	       0x10197b3f3 Frecursive_edit + 323=
 (keyboard.c:795)
53  emacs                         	       0x10197a39d main + 9373 (emacs.c:=
2523)
54  dyld                          	    0x7ff816002310 start + 2432

Thread 1:: gmain
0   libsystem_kernel.dylib        	    0x7ff8162fd3b6 __select + 10
1   libglib-2.0.0.dylib           	       0x10296a527 g_poll + 505
2   libglib-2.0.0.dylib           	       0x10295dbe4 g_main_context_iterat=
e + 349
3   libglib-2.0.0.dylib           	       0x10295dc95 g_main_context_iterat=
ion + 55
4   libglib-2.0.0.dylib           	       0x10295ed65 glib_worker_main + 30
5   libglib-2.0.0.dylib           	       0x102981266 g_thread_proxy + 66
6   libsystem_pthread.dylib       	    0x7ff816333259 _pthread_start + 125
7   libsystem_pthread.dylib       	    0x7ff81632ec7b thread_start + 15

Thread 2:
0   libsystem_kernel.dylib        	    0x7ff8162f9442 __pselect + 10
1   libsystem_kernel.dylib        	    0x7ff8162f9335 pselect$DARWIN_EXTSN =
+ 42
2   emacs                         	       0x101ac19d7 -[EmacsApp fd_handler=
:] + 263 (nsterm.m:6315)
3   Foundation                    	    0x7ff81725d82c __NSThread__start__ +=
 1009
4   libsystem_pthread.dylib       	    0x7ff816333259 _pthread_start + 125
5   libsystem_pthread.dylib       	    0x7ff81632ec7b thread_start + 15

Thread 3:: com.apple.NSEventThread
0   libsystem_kernel.dylib        	    0x7ff8162f46a2 mach_msg2_trap + 10
1   libsystem_kernel.dylib        	    0x7ff81630267d mach_msg2_internal + =
82
2   libsystem_kernel.dylib        	    0x7ff8162fb71a mach_msg_overwrite + =
723
3   libsystem_kernel.dylib        	    0x7ff8162f4989 mach_msg + 19
4   CoreFoundation                	    0x7ff81640dd0e __CFRunLoopServiceMac=
hPort + 145
5   CoreFoundation                	    0x7ff81640c77a __CFRunLoopRun + 1360
6   CoreFoundation                	    0x7ff81640bbb0 CFRunLoopRunSpecific =
+ 560
7   AppKit                        	    0x7ff81968e696 _NSEventThread + 132
8   libsystem_pthread.dylib       	    0x7ff816333259 _pthread_start + 125
9   libsystem_pthread.dylib       	    0x7ff81632ec7b thread_start + 15

Thread 4:
0   libsystem_pthread.dylib       	    0x7ff81632ec58 start_wqthread + 0

Thread 5:
0   libsystem_pthread.dylib       	    0x7ff81632ec58 start_wqthread + 0

Thread 6:
0   libsystem_pthread.dylib       	    0x7ff81632ec58 start_wqthread + 0

Thread 7:
0   libsystem_pthread.dylib       	    0x7ff81632ec58 start_wqthread + 0

Thread 8:
0   libsystem_pthread.dylib       	    0x7ff81632ec58 start_wqthread + 0


Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x00007ff859c5e4c0  rcx: 0x00007ff7be6711a8=
  rdx: 0x0000000000000000
  rdi: 0x0000000000000103  rsi: 0x0000000000000006  rbp: 0x00007ff7be6711d0=
  rsp: 0x00007ff7be6711a8
   r8: 0x00007ffffffffff8   r9: 0x00000000000001ff  r10: 0x00007ff859c5e4c0=
  r11: 0x0000000000000246
  r12: 0x0000000000000103  r13: 0x00007ff815fc6e00  r14: 0x0000000000000006=
  r15: 0x0000000000000016
  rip: 0x00007ff8162fb30e  rfl: 0x0000000000000246  cr2: 0x0000000101b0300c
=20=20
Logical CPU:     0
Error Code:      0x02000148=20
Trap Number:     133

Thread 0 instruction stream:
  00 66 2e 0f 1f 84 00 00-00 00 00 55 48 89 e5 b8  .f.........UH...
  01 00 00 00 5d c3 0f 1f-44 00 00 55 48 89 e5 41  ....]...D..UH..A
  56 53 48 83 ec 40 49 89-fe 48 85 ff 74 15 48 8b  VSH..@I..H..t.H.
  15 36 44 09 00 48 8d 7d-d0 4c 89 f6 e8 7a 79 04  .6D..H.}.L...zy.
  00 eb 0b 0f 57 c0 0f 29-45 e0 0f 29 45 d0 48 8b  ....W..)E..)E.H.
  05 66 47 09 00 49 8b 04-06 48 8b 80 c8 01 00 00  .fG..I...H......
 [48]8b 98 c0 00 00 00 48-85 db 75 17 48 8b 3d 38  H......H..u.H.=3D8	<=3D=
=3D
  45 09 00 48 8b 35 49 32-09 00 ff 15 2b 47 08 00  E..H.5I2....+G..
  48 89 c3 0f 28 45 d0 0f-28 4d e0 0f 11 4c 24 10  H...(E..(M...L$.
  0f 11 04 24 e8 7e 6e 04-00 84 c0 75 24 48 8b 35  ...$.~n....u$H.5
  27 31 09 00 0f 28 45 d0-0f 28 4d e0 0f 11 4c 24  '1...(E..(M...L$
  10 0f 11 04 24 4c 89 f7-48 89 da ff 15 ea 46 08  ....$L..H.....F.

Binary Images:
    0x7ff8162f3000 -     0x7ff81632cff7 libsystem_kernel.dylib (*) <0c2fd2c=
9-777c-3355-b70f-7b1b6e9d1b0b> /usr/lib/system/libsystem_kernel.dylib
    0x7ff81632d000 -     0x7ff816338ff7 libsystem_pthread.dylib (*) <13b5e2=
52-77d1-31e1-888d-1c5f4426ea87> /usr/lib/system/libsystem_pthread.dylib
    0x7ff8161fb000 -     0x7ff816283fff libsystem_c.dylib (*) <5efaf10b-2ec=
1-32ed-b077-80125e552c8d> /usr/lib/system/libsystem_c.dylib
       0x10188a000 -        0x101b45fff emacs (*) <c378d8f7-48cd-3c53-a238-=
3156010af5e4> /Users/USER/*/emacs
    0x7ff81635a000 -     0x7ff816363ff7 libsystem_platform.dylib (*) <f0755=
8db-8b15-3d96-93f9-3a61bbd52f25> /usr/lib/system/libsystem_platform.dylib
               0x0 - 0xffffffffffffffff ??? (*) <00000000-0000-0000-0000-00=
0000000000> ???
    0x7ff8194f0000 -     0x7ff81a4f4ff6 com.apple.AppKit (6.9) <817d572e-eb=
8c-3999-b7a0-68e1c4b47266> /System/Library/Frameworks/AppKit.framework/Vers=
ions/C/AppKit
    0x7ff81de65000 -     0x7ff81e1b4ffd com.apple.QuartzCore (1.11) <10a004=
82-d136-3e49-bbd5-e9691cc8f82d> /System/Library/Frameworks/QuartzCore.frame=
work/Versions/A/QuartzCore
    0x7ff81638f000 -     0x7ff816827fff com.apple.CoreFoundation (6.9) <dbc=
459f3-81bb-398a-8f74-3f7392392bb7> /System/Library/Frameworks/CoreFoundatio=
n.framework/Versions/A/CoreFoundation
    0x7ff81fcbe000 -     0x7ff81ffb5ff2 com.apple.HIToolbox (2.1.1) <ff73b9=
3b-3c5b-3f73-948f-0a35a80f7fad> /System/Library/Frameworks/Carbon.framework=
/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7ff815ffc000 -     0x7ff81609054f dyld (*) <28fd2071-57f3-3873-87bf-e=
4f674a82de6> /usr/lib/dyld
       0x10292b000 -        0x102a0afff libglib-2.0.0.dylib (*) <71ee11e9-d=
cf4-3b7f-9389-ec9c6d78175c> /usr/local/Cellar/glib/2.74.0/lib/libglib-2.0.0=
.dylib
    0x7ff817205000 -     0x7ff817c16ff6 com.apple.Foundation (6.9) <eca8895=
2-d3af-357e-80d8-4d31b2dc0c26> /System/Library/Frameworks/Foundation.framew=
ork/Versions/C/Foundation

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 15953
    thread_create: 0
    thread_set_state: 280

VM Region Summary:
ReadOnly portion of Libraries: Total=3D469.2M resident=3D0K(0%) swapped_out=
_or_unallocated=3D469.2M(100%)
Writable regions: Total=3D682.7M written=3D0K(0%) resident=3D0K(0%) swapped=
_out=3D0K(0%) unallocated=3D682.7M(100%)

                                VIRTUAL   REGION=20
REGION TYPE                        SIZE    COUNT (non-coalesced)=20
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D                     =3D=3D=3D=3D=3D=3D=3D=
  =3D=3D=3D=3D=3D=3D=3D=20
Accelerate framework               256K        2=20
Activity Tracing                   256K        1=20
CG backing stores                 3600K        8=20
CG image                           472K       18=20
ColorSync                          224K       25=20
CoreAnimation                     1048K       46=20
CoreGraphics                        16K        3=20
CoreImage                           60K        5=20
CoreUI image data                 1468K       11=20
Foundation                          16K        1=20
Image IO                            64K        1=20
Kernel Alloc Once                    8K        1=20
MALLOC                           278.7M       77=20
MALLOC guard page                   32K        8=20
MALLOC_LARGE (reserved)             64K        1         reserved VM addres=
s space (unallocated)
MALLOC_NANO (reserved)           384.0M        1         reserved VM addres=
s space (unallocated)
STACK GUARD                       54.5M        9=20
Stack                             13.6M       10=20
VM_ALLOCATE                        328K       17=20
__CTF                               756        1=20
__DATA                            23.9M      391=20
__DATA_CONST                      16.3M      251=20
__DATA_DIRTY                       653K      108=20
__FONT_DATA                        2352        1=20
__LINKEDIT                       191.7M       50=20
__OBJC_RO                         65.1M        1=20
__OBJC_RW                         1982K        2=20
__TEXT                           277.5M      413=20
dyld private memory                256K        1=20
mapped file                      207.1M       33=20
shared memory                      808K       23=20
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D                     =3D=3D=3D=3D=3D=3D=3D=
  =3D=3D=3D=3D=3D=3D=3D=20
TOTAL                              1.5G     1520=20
TOTAL, minus reserved VM space     1.1G     1520=20



-----------
Full Report
-----------

{"app_name":"emacs","timestamp":"2022-12-02 19:51:10.00 +0800","app_version=
":"","slice_uuid":"c378d8f7-48cd-3c53-a238-3156010af5e4","build_version":""=
,"platform":1,"share_with_app_devs":0,"is_first_party":1,"bug_type":"309","=
os_version":"macOS 13.0.1 (22A400)","roots_installed":0,"incident_id":"57CB=
4387-F14F-4EBE-9C21-863AC9EA3AAE","name":"emacs"}
{
  "uptime" : 600000,
  "procRole" : "Foreground",
  "version" : 2,
  "userID" : 501,
  "deployVersion" : 210,
  "modelCode" : "MacBookPro15,1",
  "coalitionID" : 157187,
  "osVersion" : {
    "train" : "macOS 13.0.1",
    "build" : "22A400",
    "releaseType" : "User"
  },
  "captureTime" : "2022-12-02 19:51:08.8088 +0800",
  "incident" : "57CB4387-F14F-4EBE-9C21-863AC9EA3AAE",
  "pid" : 1499,
  "cpuType" : "X86-64",
  "roots_installed" : 0,
  "bug_type" : "309",
  "procLaunch" : "2022-12-02 19:50:54.6123 +0800",
  "procStartAbsTime" : 601804513058053,
  "procExitAbsTime" : 601818708961946,
  "procName" : "emacs",
  "procPath" : "\/Users\/USER\/*\/emacs",
  "parentProc" : "zsh",
  "parentPid" : 98663,
  "coalitionName" : "com.googlecode.iterm2",
  "crashReporterKey" : "8D5E2A2D-26F7-7169-F0E7-FCBCC909E77F",
  "responsiblePid" : 85335,
  "responsibleProc" : "iTerm2",
  "wakeTime" : 1920,
  "bridgeVersion" : {"build":"20P420","train":"7.0"},
  "sleepWakeUUID" : "E052EC9A-66FD-4AD3-B1B1-1FD2DF7D8528",
  "sip" : "disabled",
  "vmRegionInfo" : "0xc0 is not in any region.  Bytes before following regi=
on: 140737487863616\n      REGION TYPE                    START - END      =
   [ VSIZE] PRT\/MAX SHRMOD  REGION DETAIL\n      UNUSED SPACE AT START\n--=
->  \n      shared memory            7ffffff88000-7ffffff89000 [    4K] r-x=
\/r-x SM=3DSHM  ",
  "exception" : {"codes":"0x0000000000000001, 0x00000000000000c0","rawCodes=
":[1,192],"type":"EXC_BAD_ACCESS","signal":"SIGABRT","subtype":"KERN_INVALI=
D_ADDRESS at 0x00000000000000c0"},
  "vmregioninfo" : "0xc0 is not in any region.  Bytes before following regi=
on: 140737487863616\n      REGION TYPE                    START - END      =
   [ VSIZE] PRT\/MAX SHRMOD  REGION DETAIL\n      UNUSED SPACE AT START\n--=
->  \n      shared memory            7ffffff88000-7ffffff89000 [    4K] r-x=
\/r-x SM=3DSHM  ",
  "extMods" : {"caller":{"thread_create":0,"thread_set_state":0,"task_for_p=
id":0},"system":{"thread_create":0,"thread_set_state":280,"task_for_pid":15=
953},"targeted":{"thread_create":0,"thread_set_state":0,"task_for_pid":0},"=
warnings":0},
  "faultingThread" : 0,
  "threads" : [{"triggered":true,"id":9665693,"instructionState":{"instruct=
ionStream":{"bytes":[0,102,46,15,31,132,0,0,0,0,0,85,72,137,229,184,1,0,0,0=
,93,195,15,31,68,0,0,85,72,137,229,65,86,83,72,131,236,64,73,137,254,72,133=
,255,116,21,72,139,21,54,68,9,0,72,141,125,208,76,137,246,232,122,121,4,0,2=
35,11,15,87,192,15,41,69,224,15,41,69,208,72,139,5,102,71,9,0,73,139,4,6,72=
,139,128,200,1,0,0,72,139,152,192,0,0,0,72,133,219,117,23,72,139,61,56,69,9=
,0,72,139,53,73,50,9,0,255,21,43,71,8,0,72,137,195,15,40,69,208,15,40,77,22=
4,15,17,76,36,16,15,17,4,36,232,126,110,4,0,132,192,117,36,72,139,53,39,49,=
9,0,15,40,69,208,15,40,77,224,15,17,76,36,16,15,17,4,36,76,137,247,72,137,2=
18,255,21,234,70,8],"offset":96}},"threadState":{"r13":{"value":14070349748=
1728,"symbolLocation":0,"symbol":"objc_msgSend"},"rax":{"value":0},"rflags"=
:{"value":582},"cpu":{"value":0},"r14":{"value":6},"rsi":{"value":6},"r8":{=
"value":140737488355320},"cr2":{"value":4323291148},"rdx":{"value":0},"r10"=
:{"value":140704634758336,"symbolLocation":0,"symbol":"_main_thread"},"r9":=
{"value":511},"r15":{"value":22},"rbx":{"value":140704634758336,"symbolLoca=
tion":0,"symbol":"_main_thread"},"trap":{"value":133},"err":{"value":335547=
60},"r11":{"value":582},"rip":{"value":140703500841742,"matchesCrashFrame":=
1},"rbp":{"value":140702028075472},"rsp":{"value":140702028075432},"r12":{"=
value":259},"rcx":{"value":140702028075432},"flavor":"x86_THREAD_STATE","rd=
i":{"value":259}},"queue":"com.apple.main-thread","frames":[{"imageOffset":=
33550,"symbol":"__pthread_kill","symbolLocation":10,"imageIndex":0},{"image=
Offset":24443,"symbol":"pthread_kill","symbolLocation":263,"imageIndex":1},=
{"imageOffset":279856,"symbol":"raise","symbolLocation":26,"imageIndex":2},=
{"imageOffset":2590439,"sourceLine":464,"sourceFile":"emacs.c","symbol":"te=
rminate_due_to_signal","imageIndex":3,"symbolLocation":167},{"imageOffset":=
2592795,"sourceLine":2313,"sourceFile":"sysdep.c","symbol":"emacs_abort","i=
mageIndex":3,"symbolLocation":15},{"imageOffset":2319986,"sourceLine":5765,=
"sourceFile":"nsterm.m","symbol":"ns_term_shutdown","imageIndex":3,"symbolL=
ocation":162},{"imageOffset":974483,"sourceLine":3009,"sourceFile":"emacs.c=
","symbol":"shut_down_emacs","imageIndex":3,"symbolLocation":339},{"imageOf=
fset":2590389,"sourceLine":447,"sourceFile":"emacs.c","symbol":"terminate_d=
ue_to_signal","imageIndex":3,"symbolLocation":117},{"imageOffset":1137150,"=
sourceLine":1783,"sourceFile":"sysdep.c","symbol":"handle_fatal_signal","im=
ageIndex":3,"symbolLocation":14},{"imageOffset":1137281,"sourceLine":1775,"=
sourceFile":"sysdep.c","symbol":"deliver_thread_signal","imageIndex":3,"sym=
bolLocation":129},{"imageOffset":1129913,"sourceLine":1795,"sourceFile":"sy=
sdep.c","symbol":"deliver_fatal_thread_signal","imageIndex":3,"symbolLocati=
on":9},{"imageOffset":15389,"symbol":"_sigtramp","symbolLocation":29,"image=
Index":4},{"imageOffset":105553179366800,"imageIndex":5},{"imageOffset":728=
1557,"symbol":"-[_NSTrackingAreaAKViewHelper updateTrackingAreasWithInvalid=
CursorRects:]","symbolLocation":357,"imageIndex":6},{"imageOffset":9838832,=
"symbol":"_NSViewSubViewMutationSafeApply","symbolLocation":227,"imageIndex=
":6},{"imageOffset":7281747,"symbol":"-[_NSTrackingAreaAKViewHelper updateT=
rackingAreasWithInvalidCursorRects:]","symbolLocation":547,"imageIndex":6},=
{"imageOffset":9838832,"symbol":"_NSViewSubViewMutationSafeApply","symbolLo=
cation":227,"imageIndex":6},{"imageOffset":7281747,"symbol":"-[_NSTrackingA=
reaAKViewHelper updateTrackingAreasWithInvalidCursorRects:]","symbolLocatio=
n":547,"imageIndex":6},{"imageOffset":7273951,"symbol":"-[_NSTrackingAreaAK=
Manager displayCycleUpdateStructuralRegions]","symbolLocation":227,"imageIn=
dex":6},{"imageOffset":1067652,"symbol":"__NSWindowGetDisplayCycleObserverF=
orUpdateStructuralRegions_block_invoke","symbolLocation":390,"imageIndex":6=
},{"imageOffset":1046273,"symbol":"NSDisplayCycleObserverInvoke","symbolLoc=
ation":142,"imageIndex":6},{"imageOffset":1045297,"symbol":"NSDisplayCycleF=
lush","symbolLocation":878,"imageIndex":6},{"imageOffset":16198,"symbol":"C=
A::Transaction::run_commit_handlers(CATransactionPhase)","symbolLocation":9=
8,"imageIndex":7},{"imageOffset":10768,"symbol":"CA::Transaction::commit()"=
,"symbolLocation":380,"imageIndex":7},{"imageOffset":1691359,"symbol":"__62=
+[CATransaction(NSCATransaction) NS_setFlushesWithDisplayLink]_block_invoke=
","symbolLocation":285,"imageIndex":6},{"imageOffset":10171667,"symbol":"__=
_NSRunLoopObserverCreateWithHandler_block_invoke","symbolLocation":41,"imag=
eIndex":6},{"imageOffset":516322,"symbol":"__CFRUNLOOP_IS_CALLING_OUT_TO_AN=
_OBSERVER_CALLBACK_FUNCTION__","symbolLocation":23,"imageIndex":8},{"imageO=
ffset":516106,"symbol":"__CFRunLoopDoObservers","symbolLocation":482,"image=
Index":8},{"imageOffset":513424,"symbol":"__CFRunLoopRun","symbolLocation":=
870,"imageIndex":8},{"imageOffset":510896,"symbol":"CFRunLoopRunSpecific","=
symbolLocation":560,"imageIndex":8},{"imageOffset":195542,"symbol":"RunCurr=
entEventLoopInMode","symbolLocation":292,"imageIndex":9},{"imageOffset":194=
566,"symbol":"ReceiveNextEventCommon","symbolLocation":199,"imageIndex":9},=
{"imageOffset":194339,"symbol":"_BlockUntilNextEventMatchingListInModeWithF=
ilter","symbolLocation":70,"imageIndex":9},{"imageOffset":256823,"symbol":"=
_DPSNextEvent","symbolLocation":909,"imageIndex":6},{"imageOffset":252344,"=
symbol":"-[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inM=
ode:dequeue:]","symbolLocation":1219,"imageIndex":6},{"imageOffset":196595,=
"symbol":"-[NSApplication run]","symbolLocation":586,"imageIndex":6},{"imag=
eOffset":2320397,"sourceLine":5818,"sourceFile":"nsterm.m","symbol":"-[Emac=
sApp run]","imageIndex":3,"symbolLocation":333},{"imageOffset":2413245,"sou=
rceLine":4698,"sourceFile":"nsterm.m","symbol":"ns_read_socket_1","imageInd=
ex":3,"symbolLocation":685},{"imageOffset":1043792,"sourceLine":7417,"sourc=
eFile":"keyboard.c","symbol":"gobble_input","imageIndex":3,"symbolLocation"=
:272},{"symbol":"get_input_pending","inline":true,"imageIndex":3,"imageOffs=
et":1059627,"symbolLocation":150,"sourceLine":7373,"sourceFile":"keyboard.c=
"},{"imageOffset":1059627,"sourceLine":10877,"sourceFile":"keyboard.c","sym=
bol":"detect_input_pending","imageIndex":3,"symbolLocation":219},{"imageOff=
set":1991933,"sourceLine":5563,"sourceFile":"process.c","symbol":"wait_read=
ing_process_output","imageIndex":3,"symbolLocation":3613},{"imageOffset":42=
757,"sourceLine":6252,"sourceFile":"dispnew.c","symbol":"sit_for","imageInd=
ex":3,"symbolLocation":437},{"imageOffset":1014586,"sourceLine":2872,"sourc=
eFile":"keyboard.c","symbol":"read_char","imageIndex":3,"symbolLocation":70=
34},{"imageOffset":998676,"sourceLine":10074,"sourceFile":"keyboard.c","sym=
bol":"read_key_sequence","imageIndex":3,"symbolLocation":1620},{"imageOffse=
t":990617,"sourceLine":1376,"sourceFile":"keyboard.c","symbol":"command_loo=
p_1","imageIndex":3,"symbolLocation":953},{"imageOffset":1616887,"sourceLin=
e":1474,"sourceFile":"eval.c","symbol":"internal_condition_case","imageInde=
x":3,"symbolLocation":87},{"imageOffset":989646,"sourceLine":1125,"sourceFi=
le":"keyboard.c","symbol":"command_loop_2","imageIndex":3,"symbolLocation":=
46},{"imageOffset":1615041,"sourceLine":1197,"sourceFile":"eval.c","symbol"=
:"internal_catch","imageIndex":3,"symbolLocation":81},{"imageOffset":259146=
4,"sourceLine":1103,"sourceFile":"keyboard.c","symbol":"recursive_edit_1.co=
ld.1","imageIndex":3,"symbolLocation":72},{"symbol":"command_loop","inline"=
:true,"imageIndex":3,"imageOffset":987773,"symbolLocation":5,"sourceLine":1=
100,"sourceFile":"keyboard.c"},{"imageOffset":987773,"sourceLine":712,"sour=
ceFile":"keyboard.c","symbol":"recursive_edit_1","imageIndex":3,"symbolLoca=
tion":333},{"imageOffset":988147,"sourceLine":795,"sourceFile":"keyboard.c"=
,"symbol":"Frecursive_edit","imageIndex":3,"symbolLocation":323},{"imageOff=
set":983965,"sourceLine":2523,"sourceFile":"emacs.c","symbol":"main","image=
Index":3,"symbolLocation":9373},{"imageOffset":25360,"symbol":"start","symb=
olLocation":2432,"imageIndex":10}]},{"id":9665699,"name":"gmain","frames":[=
{"imageOffset":41910,"symbol":"__select","symbolLocation":10,"imageIndex":0=
},{"imageOffset":259367,"symbol":"g_poll","symbolLocation":505,"imageIndex"=
:11},{"imageOffset":207844,"symbol":"g_main_context_iterate","symbolLocatio=
n":349,"imageIndex":11},{"imageOffset":208021,"symbol":"g_main_context_iter=
ation","symbolLocation":55,"imageIndex":11},{"imageOffset":212325,"symbol":=
"glib_worker_main","symbolLocation":30,"imageIndex":11},{"imageOffset":3528=
70,"symbol":"g_thread_proxy","symbolLocation":66,"imageIndex":11},{"imageOf=
fset":25177,"symbol":"_pthread_start","symbolLocation":125,"imageIndex":1},=
{"imageOffset":7291,"symbol":"thread_start","symbolLocation":15,"imageIndex=
":1}]},{"id":9665715,"frames":[{"imageOffset":25666,"symbol":"__pselect","s=
ymbolLocation":10,"imageIndex":0},{"imageOffset":25397,"symbol":"pselect$DA=
RWIN_EXTSN","symbolLocation":42,"imageIndex":0},{"imageOffset":2324951,"sou=
rceLine":6315,"sourceFile":"nsterm.m","symbol":"-[EmacsApp fd_handler:]","i=
mageIndex":3,"symbolLocation":263},{"imageOffset":362540,"symbol":"__NSThre=
ad__start__","symbolLocation":1009,"imageIndex":12},{"imageOffset":25177,"s=
ymbol":"_pthread_start","symbolLocation":125,"imageIndex":1},{"imageOffset"=
:7291,"symbol":"thread_start","symbolLocation":15,"imageIndex":1}]},{"id":9=
665725,"name":"com.apple.NSEventThread","frames":[{"imageOffset":5794,"symb=
ol":"mach_msg2_trap","symbolLocation":10,"imageIndex":0},{"imageOffset":631=
01,"symbol":"mach_msg2_internal","symbolLocation":82,"imageIndex":0},{"imag=
eOffset":34586,"symbol":"mach_msg_overwrite","symbolLocation":723,"imageInd=
ex":0},{"imageOffset":6537,"symbol":"mach_msg","symbolLocation":19,"imageIn=
dex":0},{"imageOffset":519438,"symbol":"__CFRunLoopServiceMachPort","symbol=
Location":145,"imageIndex":8},{"imageOffset":513914,"symbol":"__CFRunLoopRu=
n","symbolLocation":1360,"imageIndex":8},{"imageOffset":510896,"symbol":"CF=
RunLoopRunSpecific","symbolLocation":560,"imageIndex":8},{"imageOffset":169=
7430,"symbol":"_NSEventThread","symbolLocation":132,"imageIndex":6},{"image=
Offset":25177,"symbol":"_pthread_start","symbolLocation":125,"imageIndex":1=
},{"imageOffset":7291,"symbol":"thread_start","symbolLocation":15,"imageInd=
ex":1}]},{"id":9665730,"frames":[{"imageOffset":7256,"symbol":"start_wqthre=
ad","symbolLocation":0,"imageIndex":1}]},{"id":9665791,"frames":[{"imageOff=
set":7256,"symbol":"start_wqthread","symbolLocation":0,"imageIndex":1}]},{"=
id":9665793,"frames":[{"imageOffset":7256,"symbol":"start_wqthread","symbol=
Location":0,"imageIndex":1}]},{"id":9665795,"frames":[{"imageOffset":7256,"=
symbol":"start_wqthread","symbolLocation":0,"imageIndex":1}]},{"id":9665932=
,"frames":[{"imageOffset":7256,"symbol":"start_wqthread","symbolLocation":0=
,"imageIndex":1}]}],
  "usedImages" : [
  {
    "source" : "P",
    "arch" : "x86_64",
    "base" : 140703500808192,
    "size" : 237560,
    "uuid" : "0c2fd2c9-777c-3355-b70f-7b1b6e9d1b0b",
    "path" : "\/usr\/lib\/system\/libsystem_kernel.dylib",
    "name" : "libsystem_kernel.dylib"
  },
  {
    "source" : "P",
    "arch" : "x86_64",
    "base" : 140703501045760,
    "size" : 49144,
    "uuid" : "13b5e252-77d1-31e1-888d-1c5f4426ea87",
    "path" : "\/usr\/lib\/system\/libsystem_pthread.dylib",
    "name" : "libsystem_pthread.dylib"
  },
  {
    "source" : "P",
    "arch" : "x86_64",
    "base" : 140703499792384,
    "size" : 561152,
    "uuid" : "5efaf10b-2ec1-32ed-b077-80125e552c8d",
    "path" : "\/usr\/lib\/system\/libsystem_c.dylib",
    "name" : "libsystem_c.dylib"
  },
  {
    "source" : "P",
    "arch" : "x86_64",
    "base" : 4320698368,
    "size" : 2867200,
    "uuid" : "c378d8f7-48cd-3c53-a238-3156010af5e4",
    "path" : "\/Users\/USER\/*\/emacs",
    "name" : "emacs"
  },
  {
    "source" : "P",
    "arch" : "x86_64",
    "base" : 140703501230080,
    "size" : 40952,
    "uuid" : "f07558db-8b15-3d96-93f9-3a61bbd52f25",
    "path" : "\/usr\/lib\/system\/libsystem_platform.dylib",
    "name" : "libsystem_platform.dylib"
  },
  {
    "size" : 0,
    "source" : "A",
    "base" : 0,
    "uuid" : "00000000-0000-0000-0000-000000000000"
  },
  {
    "source" : "P",
    "arch" : "x86_64",
    "base" : 140703553224704,
    "CFBundleShortVersionString" : "6.9",
    "CFBundleIdentifier" : "com.apple.AppKit",
    "size" : 16797687,
    "uuid" : "817d572e-eb8c-3999-b7a0-68e1c4b47266",
    "path" : "\/System\/Library\/Frameworks\/AppKit.framework\/Versions\/C\=
/AppKit",
    "name" : "AppKit",
    "CFBundleVersion" : "2299"
  },
  {
    "source" : "P",
    "arch" : "x86_64",
    "base" : 140703630249984,
    "CFBundleShortVersionString" : "1.11",
    "CFBundleIdentifier" : "com.apple.QuartzCore",
    "size" : 3473406,
    "uuid" : "10a00482-d136-3e49-bbd5-e9691cc8f82d",
    "path" : "\/System\/Library\/Frameworks\/QuartzCore.framework\/Versions=
\/A\/QuartzCore",
    "name" : "QuartzCore",
    "CFBundleVersion" : "1042.20"
  },
  {
    "source" : "P",
    "arch" : "x86_64h",
    "base" : 140703501447168,
    "CFBundleShortVersionString" : "6.9",
    "CFBundleIdentifier" : "com.apple.CoreFoundation",
    "size" : 4820992,
    "uuid" : "dbc459f3-81bb-398a-8f74-3f7392392bb7",
    "path" : "\/System\/Library\/Frameworks\/CoreFoundation.framework\/Vers=
ions\/A\/CoreFoundation",
    "name" : "CoreFoundation",
    "CFBundleVersion" : "1953.1"
  },
  {
    "source" : "P",
    "arch" : "x86_64",
    "base" : 140703662071808,
    "CFBundleShortVersionString" : "2.1.1",
    "CFBundleIdentifier" : "com.apple.HIToolbox",
    "size" : 3112947,
    "uuid" : "ff73b93b-3c5b-3f73-948f-0a35a80f7fad",
    "path" : "\/System\/Library\/Frameworks\/Carbon.framework\/Versions\/A\=
/Frameworks\/HIToolbox.framework\/Versions\/A\/HIToolbox",
    "name" : "HIToolbox"
  },
  {
    "source" : "P",
    "arch" : "x86_64",
    "base" : 140703497699328,
    "size" : 607568,
    "uuid" : "28fd2071-57f3-3873-87bf-e4f674a82de6",
    "path" : "\/usr\/lib\/dyld",
    "name" : "dyld"
  },
  {
    "source" : "P",
    "arch" : "x86_64",
    "base" : 4338135040,
    "size" : 917504,
    "uuid" : "71ee11e9-dcf4-3b7f-9389-ec9c6d78175c",
    "path" : "\/usr\/local\/Cellar\/glib\/2.74.0\/lib\/libglib-2.0.0.dylib",
    "name" : "libglib-2.0.0.dylib"
  },
  {
    "source" : "P",
    "arch" : "x86_64",
    "base" : 140703516610560,
    "CFBundleShortVersionString" : "6.9",
    "CFBundleIdentifier" : "com.apple.Foundation",
    "size" : 10559479,
    "uuid" : "eca88952-d3af-357e-80d8-4d31b2dc0c26",
    "path" : "\/System\/Library\/Frameworks\/Foundation.framework\/Versions=
\/C\/Foundation",
    "name" : "Foundation",
    "CFBundleVersion" : "1953.1"
  }
],
  "sharedCache" : {
  "base" : 140703497093120,
  "size" : 21474836480,
  "uuid" : "840e528a-0c70-3c6a-b7b4-4f05f32ccc51"
},
  "vmSummary" : "ReadOnly portion of Libraries: Total=3D469.2M resident=3D0=
K(0%) swapped_out_or_unallocated=3D469.2M(100%)\nWritable regions: Total=3D=
682.7M written=3D0K(0%) resident=3D0K(0%) swapped_out=3D0K(0%) unallocated=
=3D682.7M(100%)\n\n                                VIRTUAL   REGION \nREGIO=
N TYPE                        SIZE    COUNT (non-coalesced) \n=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D                     =3D=3D=3D=3D=3D=3D=3D  =3D=3D=3D=
=3D=3D=3D=3D \nAccelerate framework               256K        2 \nActivity =
Tracing                   256K        1 \nCG backing stores                =
 3600K        8 \nCG image                           472K       18 \nColorS=
ync                          224K       25 \nCoreAnimation                 =
    1048K       46 \nCoreGraphics                        16K        3 \nCor=
eImage                           60K        5 \nCoreUI image data          =
       1468K       11 \nFoundation                          16K        1 \n=
Image IO                            64K        1 \nKernel Alloc Once       =
             8K        1 \nMALLOC                           278.7M       77=
 \nMALLOC guard page                   32K        8 \nMALLOC_LARGE (reserve=
d)             64K        1         reserved VM address space (unallocated)=
\nMALLOC_NANO (reserved)           384.0M        1         reserved VM addr=
ess space (unallocated)\nSTACK GUARD                       54.5M        9 \=
nStack                             13.6M       10 \nVM_ALLOCATE            =
            328K       17 \n__CTF                               756        =
1 \n__DATA                            23.9M      391 \n__DATA_CONST        =
              16.3M      251 \n__DATA_DIRTY                       653K     =
 108 \n__FONT_DATA                        2352        1 \n__LINKEDIT       =
                191.7M       50 \n__OBJC_RO                         65.1M  =
      1 \n__OBJC_RW                         1982K        2 \n__TEXT        =
                   277.5M      413 \ndyld private memory                256=
K        1 \nmapped file                      207.1M       33 \nshared memo=
ry                      808K       23 \n=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D  =
                   =3D=3D=3D=3D=3D=3D=3D  =3D=3D=3D=3D=3D=3D=3D \nTOTAL    =
                          1.5G     1520 \nTOTAL, minus reserved VM space   =
  1.1G     1520 \n",
  "legacyInfo" : {
  "threadTriggered" : {
    "queue" : "com.apple.main-thread"
  }
},
  "trialInfo" : {
  "rollouts" : [
    {
      "rolloutId" : "5ffde50ce2aacd000d47a95f",
      "factorPackIds" : {

      },
      "deploymentId" : 240000223
    },
    {
      "rolloutId" : "61fd92db295c182621ececc3",
      "factorPackIds" : {
        "SIRI_DIALOG_ASSETS" : "6357deb4892de80b72cc9b97"
      },
      "deploymentId" : 240000215
    }
  ],
  "experiments" : [

  ]
}
}

Model: MacBookPro15,1, BootROM 1916.40.8.0.0 (iBridge: 20.16.420.0.0,0), 6 =
processors, 6-Core Intel Core i7, 2.6 GHz, 16 GB, SMC=20
Graphics: Intel UHD Graphics 630, Intel UHD Graphics 630, Built-In
Graphics: Radeon Pro 555X, Radeon Pro 555X, PCIe, 4 GB
Display: LV273HUPR, 3840 x 2160 (2160p/4K UHD 1 - Ultra High Definition), M=
ain, MirrorOff, Online
Display: DELL D2421DS, 1920 x 1080 (1080p FHD - Full High Definition), Mirr=
orOff, Online
Memory Module: BANK 0/ChannelA-DIMM0, 8 GB, DDR4, 2400 MHz, SK Hynix, HMA81=
GS6AFR8N-UH
Memory Module: BANK 2/ChannelB-DIMM0, 8 GB, DDR4, 2400 MHz, SK Hynix, HMA81=
GS6AFR8N-UH
AirPort: spairport_wireless_card_type_wifi (0x14E4, 0x7BF), wl0: Sep 14 202=
2 18:10:05 version 9.30.489.3.32.5.84 FWID 01-31bf0e8d
Bluetooth: Version (null), 0 services, 0 devices, 0 incoming serial ports
Network Service: AX88179A, Ethernet, en6
Network Service: Wi-Fi, AirPort, en0
USB Device: USB3.0 Hub
USB Device: AX88179A
USB Device: USB31Bus
USB Device: 3-Port USB 2.1 Hub
USB Device: USB2.0 Hub
USB Device: USB Billboard Device
USB Device: USB Receiver
USB Device: T2Bus
USB Device: Touch Bar Backlight
USB Device: Touch Bar Display
USB Device: Apple Internal Keyboard / Trackpad
USB Device: Headset
USB Device: Ambient Light Sensor
USB Device: FaceTime HD Camera (Built-in)
USB Device: Apple T2 Controller
Thunderbolt Bus: MacBook Pro, Apple Inc., 47.5
Thunderbolt Bus: MacBook Pro, Apple Inc., 47.5
--8<---------------cut here---------------end--------------->8---



In GNU Emacs 29.0.60 (build 4, x86_64-apple-darwin22.1.0, NS
 appkit-2299.00 Version 13.0.1 (Build 22A400)) of 2022-11-29 built on
 Kais-MacBook.local
Repository revision: 067c65578e02034d7605f1dcaf6a6d0c4bbdbda3
Repository branch: emacs-29
Windowing system distributor 'Apple', version 10.3.2299
System Description:  macOS 13.0.1

Configured using:
 'configure --with-xwidgets --with-json --with-native-compilation'

Configured features:
ACL DBUS GIF GLIB GMP GNUTLS JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY KQUEUE NS PDUMPER PNG RSVG SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XIM XWIDGETS ZLIB

Important settings:
  value of $LC_ALL: zh_CN.utf-8
  value of $LANG: zh_CN.utf-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  global-wakatime-mode: t
  wakatime-mode: t
  popper-echo-mode: t
  popper-mode: t
  hl-todo-mode: t
  rainbow-delimiters-mode: t
  display-line-numbers-mode: t
  recentf-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  winner-mode: t
  winum-mode: t
  which-key-mode: t
  corfu-popupinfo-mode: t
  global-corfu-mode: t
  corfu-mode: t
  marginalia-mode: t
  vertico-mouse-mode: t
  vertico-mode: t
  projectile-mode: t
  keyfreq-autosave-mode: t
  keyfreq-mode: t
  rime-regexp-mode: t
  prescient-persist-mode: t
  global-ligature-mode: t
  ligature-mode: t
  ns-auto-titlebar-mode: t
  electric-pair-mode: t
  override-global-mode: t
  global-auto-revert-mode: t
  global-so-long-mode: t
  delete-selection-mode: t
  pixel-scroll-precision-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  context-menu-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  hs-minor-mode: t

Features:
(shadow sort ecomplete mail-extr emacsbug message yank-media puny dired
dired-loaddefs rfc822 mml mml-sec epa epg rfc6068 epg-config mailabbrev
gmm-utils mailheader sendmail vertico-directory cus-edit pp cus-start
wakatime-mode autoinsert popper-echo popper hideshow hl-todo
rainbow-delimiters display-line-numbers recentf tree-widget yasnippet
winner winum which-key corfu-popupinfo kind-icon svg-lib color svg dom
xml corfu-prescient corfu marginalia vertico-mouse vertico projectile
project grep compile comint ansi-osc ansi-color ibuf-ext ibuffer
ibuffer-loaddefs thingatpt pcase keyfreq prelude-erc prelude-apps
rime-regexp rime rime-predicates xdg posframe popup dash prelude-mail
gnus nnheader gnus-util text-property-search time-date mail-utils range
wid-edit prelude-os prelude-help prelude-lang-zig prelude-lang-web
prelude-lang-agda agda2 prelude-lang-haskell derived prelude-lang-js
prelude-lang-ml prelude-lang-coq prelude-lang-rust prelude-lang-python
prelude-lang-cc prelude-lang-lisp prelude-prog prelude-blog prelude-org
prelude-tex prelude-git prelude-dired prelude-chinese prelude-project
prelude-ibuffer prelude-completion orderless prescient char-fold
prelude-search prelude-workspace prelude-ui ligature ns-auto-titlebar
prelude-core elec-pair use-package-diminish diminish
exec-path-from-shell use-package-ensure undohist edmacro kmacro
use-package-bind-key bind-key easy-mmode autorevert filenotify so-long
delsel no-littering compat compat-macs prelude-benchmark benchmark-init
comp comp-cstr warnings icons advice prelude-common prelude-package
quelpa-use-package cl-extra use-package-core quelpa mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums
mail-prsvr lisp-mnt monokai-theme pixel-scroll cua-base cus-load
prelude-loaddefs helpful-autoloads geiser-guile-autoloads
flycheck-grammarly-autoloads flymake-grammarly-autoloads
eyebrowse-autoloads carbon-now-sh-autoloads benchmark-init-autoloads
company-coq-autoloads elisp-demos-autoloads vertico-prescient-autoloads
kind-icon-autoloads grammarly-autoloads w3m-autoloads
pinyinlib-autoloads lsp-pyright-autoloads autothemer-autoloads
d2-mode-autoloads org-roam-ui-autoloads elisp-refs-autoloads
cdlatex-autoloads ns-auto-titlebar-autoloads rime-autoloads
helm-swoop-autoloads highlight-indent-guides-autoloads paredit-autoloads
vterm-autoloads treemacs-all-the-icons-autoloads clhs-autoloads
popper-autoloads merlin-autoloads rainbow-identifiers-autoloads
swift-mode-autoloads rainbow-delimiters-autoloads
org-roam-bibtex-autoloads rustic-autoloads xterm-color-autoloads
rust-mode-autoloads yaml-mode-autoloads multiple-cursors-autoloads
websocket-autoloads dired-filter-autoloads auctex-autoloads tex-site
company-math-autoloads company-autoloads zig-mode-autoloads
ivy-autoloads debbugs-autoloads highlight-indentation-autoloads
git-timemachine-autoloads org-noter-autoloads rotate-autoloads
vundo-autoloads diredfl-autoloads embark-consult-autoloads
embark-autoloads citre-autoloads nix-mode-autoloads request-autoloads
agitate-autoloads helm-bibtex-autoloads helm-autoloads
helm-core-autoloads org-download-autoloads async-autoloads
wakatime-mode-autoloads deft-autoloads crdt-autoloads eat-autoloads
cmake-mode-autoloads all-the-icons-dired-autoloads
editorconfig-autoloads python-mode-autoloads dash-at-point-autoloads
cape-autoloads elfeed-autoloads js2-mode-autoloads ripgrep-autoloads
dumb-jump-autoloads rainbow-mode-autoloads blink-search-autoloads
utop-autoloads tuareg-autoloads rx caml-autoloads modus-themes-autoloads
simple-httpd-autoloads which-key-autoloads org-modern-autoloads
quickrun-autoloads geiser-racket-autoloads geiser-impl help-fns
radix-tree help-mode geiser-custom geiser-base ring geiser-autoloads
project-autoloads org-ref-autoloads ox-pandoc-autoloads
citeproc-autoloads queue-autoloads bibtex-completion-autoloads
htmlize-autoloads speed-type-autoloads persp-mode-autoloads
ccls-autoloads expand-region-autoloads modern-cpp-font-lock-autoloads
cnfonts-autoloads ob-rust-autoloads biblio-autoloads
biblio-core-autoloads org-latex-impatient-autoloads hyperbole-autoloads
undohist-autoloads alert-autoloads gntp-autoloads
string-inflection-autoloads catppuccin-theme-autoloads keyfreq-autoloads
forge-autoloads magit-autoloads git-commit-autoloads
with-editor-autoloads transient-autoloads closql-autoloads
ormolu-autoloads reformatter-autoloads diminish-autoloads
dired-hacks-utils-autoloads wgrep-autoloads diredful-autoloads
meow-autoloads org-appear-autoloads orderless-autoloads
nix-sandbox-autoloads web-mode-autoloads org-roam-autoloads
magit-section-autoloads emacsql-sqlite-autoloads
typescript-mode-autoloads flycheck-haskell-autoloads
haskell-mode-autoloads flycheck-autoloads pkg-info-autoloads
epl-autoloads xref-autoloads power-mode-autoloads
google-translate-autoloads popup-autoloads ghub-autoloads
treepy-autoloads quelpa-use-package-autoloads use-package-autoloads
bind-key-autoloads quelpa-autoloads log4e-autoloads parsebib-autoloads
treemacs-projectile-autoloads projectile-autoloads valign-autoloads
visual-fill-column-autoloads smartparens-autoloads ef-themes-autoloads
yasnippet-autoloads corfu-prescient-autoloads corfu-autoloads
hl-todo-autoloads dockerfile-mode-autoloads dune-autoloads
all-the-icons-ibuffer-autoloads all-the-icons-autoloads
math-symbol-lists-autoloads sly-autoloads color-rg-autoloads
typit-autoloads mmt-autoloads go-translate-autoloads nov-autoloads
esxml-autoloads kv-autoloads proof-general-autoloads proof-site
proof-autoloads vertico-posframe-autoloads vertico-autoloads
indent-guide-autoloads pdf-tools-autoloads tablist-autoloads
lsp-ui-autoloads no-littering-autoloads svg-lib-autoloads
doom-themes-autoloads ligature-autoloads minimap-autoloads
prescient-autoloads winum-autoloads marginalia-autoloads
consult-autoloads compat-autoloads clojure-mode-autoloads
emacsql-autoloads dap-mode-autoloads lsp-docker-autoloads yaml-autoloads
lsp-treemacs-autoloads treemacs-autoloads cfrs-autoloads
posframe-autoloads hydra-autoloads pfuture-autoloads
ace-window-autoloads avy-autoloads bui-autoloads lsp-mode-autoloads
lv-autoloads markdown-mode-autoloads spinner-autoloads ht-autoloads
f-autoloads s-autoloads info dash-autoloads
exec-path-from-shell-autoloads monokai-theme-autoloads package
browse-url url url-proxy url-privacy url-expand url-methods url-history
url-cookie generate-lisp-file url-domsuf url-util mailcap url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs password-cache
json subr-x map byte-opt gv bytecomp byte-compile url-vars cl-loaddefs
cl-lib rmc iso-transl tooltip cconv eldoc paren electric uniquify
ediff-hook vc-hooks lisp-float-type elisp-mode mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads xwidget-internal dbusbind
kqueue cocoa ns lcms2 multi-tty make-network-process native-compile
emacs)

Memory information:
((conses 16 858873 299451)
 (symbols 48 24529 4)
 (strings 32 646221 60300)
 (string-bytes 1 37534266)
 (vectors 16 41125)
 (vector-slots 8 1445087 407399)
 (floats 8 368 969)
 (intervals 56 679 73)
 (buffers 992 12))




Acknowledgement sent to Kai Ma <justksqsf@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#59794; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 4 Dec 2022 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.